function PageBase(varName, isClearLayout){
	this.screenId = 'screen_'+varName;
	this.contentId = "content_"+varName;
	this.menuBarId = "menuBar_" + varName;
	this.navBarId = "navBar_" + varName;
	this.headerBarId = "headerBar_" + varName;
	this.separateBarId = "separateBar_"+varName;
	this.adBarId = "adBar_"+varName;
	this.name = varName;
	this.mainBarHtml = '';
	this.navBarHtml = "";
	this.isClearlayout = isClearLayout;
	this.contentHeight = 0;
	this.showAd = (NBA.version==0 && NBA.login==false);
	clearAllPageInterval();
	
	/*Begin Set Function
	 * set function should be called before call html() function
	*/
	if(this.isClearlayout!=true){
	    this.isClearlayout=false;
	}
	this.setMainBarHtml = function(varHtml){
		this.mainBarHtml = varHtml;
	};
	this.setAddtionalNavHtml = function(varHtml){
		this.navBarHtml = varHtml;
	};
	this.hideAd = function(){
	   	this.showAd = false;
	};
	//End Set Function
	
	/*Begin Update Function
	 *update function should be called after render page html.
	*/
	this.updateMainBarHtml = function(varHtml){
		this.mainBarHtml = varHtml;
		$("#"+this.menuBarId).html(varHtml);
	};	
	this.updateNavBarHtml = function(varHtml){
		$("#"+this.navBarId).show();
		$("#"+this.navBarId).html(varHtml);		
	};
	this.updateContentHtml = function(varHtml){
		$("#"+this.contentId).html(varHtml);
	};
	//End Upate Function

	this.html = function(){
		var blackBarHtml='<tr>\r\n'+
		'		<td id="'+this.menuBarId+'" height="67" align="center" valign="middle" background="images/bars/bg.png">'+this.mainBarHtml+'</td>\r\n'+
		'	</tr>\r\n';
		var radioHtml = this.radioButton();
		var screenHtml='<!-- Game Time Screen -->\r\n'+
		'<table id="'+this.screenId+'" class="page">\r\n'+
		'<tr><td height="41" class="headerBar" id="'+this.headerBarId+'">'+
		'	<table height="100%"><tr><td><img style="margin-left:2px;" src="images/logo.png"/></td>'+
			(radioHtml==''?'':radioHtml)+
			'</tr></table>'+
		'</tr>'+
		 blackBarHtml+
		'<tr><td id="'+this.separateBarId+'" class="pageHeaderSeperate"></td></tr>'+
		'<tr><td><div  id="'+this.navBarId+'" class="navBar" style="display:none;padding:0px 5px 5px;">'+this.navBarHtml+'</div></td></tr>'+
		'<tr>'+
		(NBA.plainLayout?'<td height="130" align="center" valign="top" id="'+this.contentId+'"></td>\r\n':'	<td><div id="'+this.contentId+'" class="pageContent" style="overflow-y:auto;"></div>')+
		'</tr>\r\n'+
		'	<tr>\r\n'+
		'		<td align="center" valign="middle" class="adContainer"'+
		' id="'+this.adBarId+'" '+(this.showAd==false?'style="display:none;"':'')+' height="50">'+
		'	<a href="#_" onclick="widget.openURL(\'http://shop.nhl.com/\');" id="adButtonLink" class="adButtonLink">'+
		'		<img src="images/custom_buttons/ad_placeholder.png" width="320" height="50" border="0" />'+
		'	</a>'+
		'</td>\r\n'+
		'</tr>\r\n'+
		'</table>\r\n';
		var cleanScreenHtml = '<table id="'+this.screenId+'">\r\n'+
		'	<tr>\r\n'+
		'		<td height="100%" width="100%" align="center" valign="middle" id="'+this.contentId+'">'+
		'           <img src="images/splash.png" name="splashImage" width="320" id="splashImage" />'+
		'       </td>\r\n'+
		'	</tr>\r\n'+
		'</table>\r\n';
		
		if(this.isClearlayout)
		   return cleanScreenHtml;
		else
		   return screenHtml;
	};
	
	this.loading = function(){
		var loadingHtml = '<div class="loading"><img src="images/loading.gif"/></div>';
		$("#"+this.contentId).html(loadingHtml);
	};
	this.error = function(errorStr){
		if(!errorStr){
			errorStr = 'Network issue...';
		}
	    var errorHtml = '<div class="error">'+errorStr+'</div>';
		$("#"+this.contentId).html(errorHtml);
	}
	this.hideNavBar = function(){
	    $("#"+this.navBarId).hide();
	};
	this.showDefaultHeaderNav = function(){
		var radioHtml = this.radioButton();		
		var headerBarHtml = '<table height="100%"><tr><td><img style="margin-left:2px;" src="images/logo.png"/></td>'+
			(radioHtml==''?'':radioHtml)+
			'</tr></table>';
		$("#"+this.headerBarId).html(headerBarHtml);
	};
	this.showHeaderNav = function(navText){
		if(!navText)
		    navText = '';
		var radioHtml = this.radioButton();
		var headerBarHtml = '<table>'+
		'		<tr>'+
		'			<td style="width:20px;text-align:right"><img onclick="LatestPage.loadPage()"  src="images/bars/small_logo.png" /></td>'+
		'			<td style="text-align:center"><span id="headerNavTxt" style="color:#000000;">'+navText+'</span></td>'+
					(radioHtml==''?'':radioHtml)+
		'		</tr>'+
		'	</table>'
		$("#"+this.headerBarId).html(headerBarHtml);
		return headerBarHtml;
	},
	this.radioButton = function(){
		var radioButtonHtml = '';
		if(GameStatsPage.radioGame){
			radioButtonHtml = '<td style="width:45px;">'+
			'<a id="radioButtonLink" class="radioButtonLink" onclick="GameStatsPage.loadPage(GameStatsPage.radioGame)" href="#_"></a>'+
			'</td>';
		}
		return radioButtonHtml;
	},
	this.resize=function(){
		var windowWidth = window.innerWidth;
		var windowHeight = window.innerHeight;
		
		if(this.isClearlayout==true){
		   	$('#'+this.contentId).css("height",tempHeight+"px");
			return;
		}
	    var tempHeight=windowHeight-41;
		if($("#"+this.menuBarId).css('display')!='none'){
			tempHeight -= 67;
		}

		if($('#'+this.separateBarId).css('display')!='none'){
			tempHeight -=10;
		}

		if($("#"+this.navBarId).css('display')!="none")
		   tempHeight -= 40;

		if($('#'+this.adBarId).css('display')!="none")
			tempHeight-=50;

		//tempHeight-=5;
		
		this.contentHeight = tempHeight;
		$('#'+this.contentId).css("height",tempHeight+"px"); 
	};
}

Object.prototype.clone = function() {
  var newObj = (this instanceof Array) ? [] : {};
  for (i in this) {
    if (i == 'clone') continue;
    if (this[i] && typeof this[i] == "object") {
      newObj[i] = this[i].clone();
    } else newObj[i] = this[i]
  } return newObj;
};
