/* Screens */
var Screens={
	MINI_VIEW_TRESHOLD:150,
	windowHeight:0,
	windowWidth:0,
	miniView:null,
	init:function(){
		widget.setDisplayPortrait();
		widget.setNavigationEnabled( true );
		window.menu.showSoftkeys();

		Screens.windowHeight = window.innerHeight;
		Screens.windowWidth = window.innerWidth;
		
		Screens.miniView = new MiniView();
		
		Screens.resize();
		
		if(!SplashPage.loaded)
			SplashPage.loadPage();
	},
	
	resize:function(){
		Screens.setViewMode();
	},
	
	setViewMode:function(){
		var isInMiniView = Screens.isMiniViewMode();
		
		if ( isInMiniView ) {
			// Hide main screen.
           $("#normalView").hide();
			// ... and show MiniView.
		   $("#miniView").show();

			Screens.miniView.onActivated();
		} else {
			// Hide MiniView.
			$("#miniView").hide();
			Screens.miniView.onDeactivated();
			// ... and show main screen.
			$("#normalView").show();
		}
	},
	isMiniViewMode: function() {
		return ( Screens.windowHeight < Screens.MINI_VIEW_TRESHOLD );
	},
};

function onInit(){
	Screens.init();
}

function onResize(){
	Screens.resize();
}

function openScreen1(varHtml){
	if(varHtml)
	   udpateScreen1(varHtml);

	$("#screen2").html('');
	$("#screen3").html('');
	$(".screen").hide();
	$("#screen1").show();
	window.menu.setRightSoftkeyLabel('', null);
}

function udpateScreen1(varHtml){
    $("#screen1").html(varHtml);
}

function backToScreen1(){
	$("#screen2").html('');
	$("#screen3").html('');
	$(".screen").hide();
	$("#screen1").show();
	window.menu.setRightSoftkeyLabel('', null);
	hideCoverPage();
}

function openScreen2(varHtml){
	if(varHtml)
	   udpateScreen2(varHtml);

	$("#screen3").html('');
	$(".screen").hide();
	$("#screen2").show();	
	window.menu.setRightSoftkeyLabel('Back', backToScreen1);	
}

function udpateScreen2(varHtml){
    $("#screen2").html(varHtml);
}

function backToScreen2(){
	$(".screen").hide();
	$("#screen3").html('');	
	$("#screen2").show();
	window.menu.setRightSoftkeyLabel('Back', backToScreen1);
	hideCoverPage();
}

function openScreen3(varHtml){
	if(varHtml)
	   udpateScreen3(varHtml);

	$(".screen").hide();
	$("#screen3").show();
	window.menu.setRightSoftkeyLabel('Back', backToScreen2);
}

function udpateScreen3(varHtml){
    $("#screen3").html(varHtml);
}

function getOpenedScreen(){
   var currentScreen = 'Screen1';
   if($('#screen3').css('display')!='none'){
	  currentScreen = 'Screen3';
   }
   if($('#screen2').css('display')!='none'){
	  currentScreen = 'Screen2';
   }
   if($('#screen1').css('display')!='none'){
	  currentScreen = 'Screen1';
   }
   return currentScreen;
}

function hideAllScreens(){
   	$(".screen").hide();
}

