/* PreviewPage HTML */
var LatestPageHTML={
	news:null,
	photos:null,
	twitter:null,
	games:null,
	videos:null,
	mainContent:function(){
		var mainContentHtml = PreviewPageHTML.previewBar();
		return mainContentHtml;
	},
	loadPage:function(){		
	   Screens.showGameTimeScreen();
	},
	latestList:function(){
	    var latestListHtml = '';
		  if(GamePage.games){
			  for(i=0;i<GamePage.games.length;i++){
				 latestListHtml += LatestPageHTML.oneGame(i);
			  }
		  }
		  if(VideoPage.video){
			  for(i=0;i<VideoPage.video.length;i++){
				 latestListHtml += LatestPageHTML.oneVideo(i);
			  }
		  }
		  if(NewsPage.news){
			  for(i=0;i<NewsPage.news.length;i++){
				 latestListHtml += LatestPageHTML.oneNews(i);
			  }
		  }
		  if(PhotoPage.photos){
			  for(i=0;i<PhotoPage.photos.length;i++){
				 latestListHtml += LatestPageHTML.onePhoto(i);
			  }
		  }
		  if(NewsPage.twitter){
			  for(i=0;i<NewsPage.twitter.length;i++){
				 latestListHtml += LatestPageHTML.oneTwitter(i);
			  }
		  }
		  
		return latestListHtml;
	},
	oneGame:function(index){	
	        var obj = GamePage.games[index];
	        var display_status;
			var period;
	        var month = obj.Game_info.Game_date.substr(0,2);
			var displayMonth = DateParser.convertMonthDisplay(month);
			var day = obj.Game_info.Game_date.substr(3,2);
			
	        var visitor_team_abr=obj.Msg_score.Visitor_team_score.Team_abr.replace(" ","").toUpperCase();
			var home_team_abr =obj.Msg_score.Home_team_score.Team_abr.replace(" ","").toUpperCase();
			
			var visitor_score=obj.Msg_score.Visitor_team_score.Visitor_score;
			var home_score=obj.Msg_score.Home_team_score.Home_score;
			var game_status = obj.Msg_score.Period_time.Game_Status;
			if(game_status =="3"){
				display_status="FINAL";
			}else if(game_status =="2"){
				display_status="LIVE";
				var intPeriod = parseInt(obj.Msg_score.Period_time.Period,10);
				if(intPeriod<=4){
					period=intPeriod+"Q";
				}else if(intPeriod>4){
					period= intPeriod-4 + "O";
				}
			}else{
			   	display_status = 'TODAY';
			}
		
		var gameCss = "gameLatestPreLink";
		if(game_status=="3"){
			gameCss = "gameLatestFinalLink";
		}else if(game_status=="2"){
			gameCss = "gameLatestLiveLink";
		}
		game_status=="3"||game_status=="2"
	    var oneGameHtml = 	'<a href="#_"'+(game_status=="3"||game_status=="2"?'onclick="GameStatsPage.loadPage('+index+',\'Latest\')"':'')+
		' class="latestItem '+gameCss+'">'+
		'				<table>'+
		'					<tr>'+
		'                      <td width="50px" height="25px;"></td>' +
		'                      <td align="center" valign="middle" style="font-weight:bold">'+display_status+'</td>'+
		'                      <td width="50px"></td>' +
		'					</tr>'+
		'					<tr>'+
		'                      <td width="50px" height="45px"><img src="images/team_logo/'+Static.teamLogos[visitor_team_abr]+'.png" width="45" height="45" /></td>' +
		'                      <td></td>'+
		'                      <td width="50px"><img src="images/team_logo/'+Static.teamLogos[home_team_abr]+'.png" width="45" height="45" /></td>' +
		'                   </tr>';
		if(game_status =="3" || game_status =="2"){
			oneGameHtml += '<tr>'+
			'<td width="50px" height="36px" style="font-weight:bold;" align="center" valign="middle">'+visitor_score+'</td>';
		}
		if(game_status =="3"){
			oneGameHtml += '<td style="font-weight:bold;text-align:center;">'+displayMonth+' '+day+'</td>';
		}else if(game_status =="2"){
			oneGameHtml += '<td style="font-weight:bold;text-align:center;">'+
		              period + '<br />' + obj.Msg_score.Period_time.Game_clock +
					'</td>';
		}
		if(game_status =="3" || game_status =="2"){
			oneGameHtml += '<td width="50px" style="font-weight:bold" align="center" valign="middle">'+home_score+'</td> </tr>';
		}

		if(game_status !="3" && game_status !="2"){
			var gameDate = obj.Game_info.Game_date;
				var gameTime = obj.Game_info.Game_time;
				var gameTimeArray=gameTime.split(' ');
				if(gameTimeArray.length>=2){
					if(NBA.timeZone==1){
						// Local Time
						var timeStr=gameTimeArray[0];					
						var gameTimeArray2=timeStr.split(':');
						var hour=eval(gameTimeArray2[0]);
						var minuteStr=gameTimeArray2[1];
						var apm = gameTimeArray[1];
						
						if(apm =="PM")
						   hour +=12;
						var gameTimeStr = gameDate+ " "+hour+":"+minuteStr+":00";
						var etTime=DateParser.parseDate(gameTimeStr);						
						if(etTime){
							var localTime=DateParser.getLocalDate(etTime);
							if(localTime){
								var sameDate=DateParser.sameDay(etTime,localTime);
								// time
								var hour=localTime.getHours();
								var minute=localTime.getMinutes();
								var ampm="AM";
								if(hour>=12){
									ampm="PM";
								}
								if(hour>=13){
									hour-=12;
								}
								var minuteStr=minute;
								if(minute<=9)
									minuteStr="0"+minute;
								gameTime=hour+":"+minuteStr+" "+ampm+" Local";
								// date
								var month=localTime.getMonth();
								var date=localTime.getDate();
								var MonthStr=Static.months2[month];
								var localDate=MonthStr+" "+date;
								gameTime=localDate+"<br />"+gameTime;
							}
						}
					}else{
						gameTime=displayMonth+' '+day+'<br />'+gameTime+" ET";
					}
				}else{
					gameTime=displayMonth+' '+day+'<br />'+gameTime+" ET";
				}
		    oneGameHtml += '<tr><td align="center" valign="middle" colspan="3"><strong>'+gameTime+'</strong></td></tr>'	
		}
		
		oneGameHtml += '</table>'+
		'</a>';
		return oneGameHtml;
	},
	oneVideo:function(index){
		var obj = VideoPage.video[i];
		var oneVedioHtml = 	'<a href="#_" onclick="playMedia(\''+ obj.content.url +'\',false,\'Screen1\')" class="latestItem"><div class="gameVideoDiv">'+
		'<img class="videoImage" src="'+obj.thumbnail.url+'" />'+
		'<p class="gameVideoTopTitle">Videos</p>'+
		'<img src="images/radio/play_video.png" class="imgPlayVideo"/>'+
		'<p class= "gameVideoTitle">'+obj.title+'</p>'+
		'</div></a>';
		return oneVedioHtml;	
	},
	oneNews:function(index){
		var obj = NewsPage.news[index];
		var countComponent = obj.NewsComponent.NewsComponent.length;
		for(var j=0;j<countComponent;j++){
		  if(obj.NewsComponent.NewsComponent[j].Role.FormalName == 'MainStory'){
			  var newsHeadLine = obj.NewsComponent.NewsComponent[j].NewsLines.HeadLine;
		  }
		}
		var oneNewsHtml = 	'<a href="#_" onclick="NewsDetailPage.loadPage('+index+',\'Latest\')" class="latestItem"><div class="gameVideoDiv">'+
		'<img class="videoImage" src="'+obj.SmallHref+'" />'+
		'<p class="gameVideoTopTitle">News</p>'+
		'<p class= "gameVideoTitle" align="center" valign="middle">'+newsHeadLine+'</p>'+
		'</div></a>';
		return oneNewsHtml;
	},
	onePhoto:function(index){
		var obj = PhotoPage.photos[index];
		var onePhotoHtml = 	'<a href="#_" onclick="AlbumPage.loadPage('+index+',\'Screen1\')" class="latestItem"><div class="gameVideoDiv">'+
		'<img class="videoImage" src="'+obj.Identification.NewsIdentifier.NewsItemId+'" />'+
		'<p class="gameVideoTopTitle">Photos</p>'+
		'<p class= "gameVideoTitle">'+obj.Identification.NameLabel+'</p>'+
		'</div></a>';
		return onePhotoHtml;
	},
	oneTwitter:function(index){
		var obj = NewsPage.twitter[index];
		var oneTwitterHtml = 	'<a href="#_" onclick="TwitterDetailPage.loadPage('+index+')" class="latestItem"><div class="gameVideoDiv">'+
		'<p class="gameVideoTopTitle">Twitter</p>'+
		'<p class= "gameVideoTitle" style="height:70px;line-height:13px;">'+obj.description.substr(0,85)+"..."+'</p>'+
		'</div></a>';
		return oneTwitterHtml;
	}
	
};
