/* News Page */
var NewsPage = {
	nsuccess:false,
	tsuccess:false,
	page:null,
	news:null,
	twitter:null,
	adInterval:null,
	newsAjaxReturn:null,
	loadPage:function(){
		//create news page object
		NewsPage.page = new PageBase('newsPage');
		//set customer value for page
		var blackBarHtml=ShareHTML.mainMenuBar();
	    NewsPage.page.setMainBarHtml(blackBarHtml);		
		//open level 1 screen
		openScreen1(NewsPage.page.html());

        NewsPage.page.updateNavBarHtml(NewsPageHTML.additionalBar());
		NewsPage.page.showHeaderNav("News");
		NewsPage.page.resize();

		NewsPage.loadMenu();
		NewsPage.loadNewsList();
		NewsPage.loadAd();
	},
	loadMenu:function(){
	   newsMenuSelected(NewsPage.page.menuBarId);
	},
	loadAd:function(){		
		if(NewsPage.page.showAd){	
		    var adUrl = GameUrls.getAdUrl('News');
		    var ad = new Ad(adUrl,NewsPage.page.adBarId);
			ad.updateHtml();
			NewsPage.adInterval = ad.loopAd(ad);
		}
	},
	showNews:function(){
		$('#newsMainContent').show();
		$('#twitterMainContent').hide();
		NewsPage.loadNewsList();
	},
	showTwitter:function(){
		$('#newsMainContent').hide();
		$('#twitterMainContent').show();
		NewsPage.loadTwitterList();
	},
	loadNewsList:function(){
		if(NewsPage.newsAjaxReturn!=null)
	    NewsPage.newsAjaxReturn.abort();
		
		var url=GameUrls.getNewsUrl();
		NewsPage.page.loading();
		
		NewsPage.newsAjaxReturn = $.ajax({
											url: url,
											type: 'GET',
											cache: false,
											dataType: 'xml',
											error: NewsPage.newsListError,
											success: NewsPage.updateNewsList
										});
	},
	newsListError:function(xhr){
		if(xhr.status==0)
		  return;
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			NewsPage.nsuccess=true;
			NewsPage.page.error(ErrorMessage.NO_NEWS_ERROR);
		}else{
			if(!NewsPage.nsuccess)
				NewsPage.page.error(ErrorMessage.CONNECTION_ERROR);
		}
	},
	updateNewsList:function(xml){
		var news = $.xml2json(xml);
		//alert(news.toSource());	
        NewsPage.news = news.NewsItem;
		//alert(NewsPage.news[0].BigHref);
		if(news){
			NewsPage.page.updateContentHtml(NewsPageHTML.fetchNewsList(NewsPage.news));
		}else{
			NewsPage.newsListError;
		}
	},	
	loadTwitterList:function(){
		if(NewsPage.newsAjaxReturn!=null)
	    NewsPage.newsAjaxReturn.abort();
		
		var url=GameUrls.getTwitterUrl();
		NewsPage.page.loading();
		
		NewsPage.newsAjaxReturn = $.ajax({
											url: url,
											type: 'GET',
											cache: false,
											dataType: 'text',
											timeout: NBA.requestTimeout,
											error: NewsPage.twitterListError,
											success: NewsPage.updateTwitterList
										});	
	},
	twitterListError:function(xhr){
		if(xhr.status==0)
		  return;
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			NewsPage.tsuccess=true;
			NewsPage.page.error(ErrorMessage.NO_TWITTER_ERROR);
		}else{
			if(!NewsPage.tsuccess)
				NewsPage.page.error(ErrorMessage.CONNECTION_ERROR);
		}
	},
	updateTwitterList:function(xml){
		var twitter = $.xml2json(xml);
		NewsPage.twitter = twitter.channel.item;
		if(twitter){
			NewsPage.page.updateContentHtml(NewsPageHTML.fetchTwitterList(NewsPage.twitter));
		}else{
			NewsPage.twitterListError;
		}
	},	
	leagueNewsSelected:function(){
		$("#newsLeague").removeClass("circularButton120LinkSel");
		$("#newsTwitter").removeClass("circularButton80LinkSel");
		
		$("#newsTwitter").addClass("circularButton80Link");
		
		$("#newsLeague").removeClass("circularButton120Link");
		$("#newsLeague").addClass("circularButton120LinkSel");
		
	},
	twitterSelected:function(){
		$("#newsLeague").removeClass("circularButton120LinkSel");
		$("#newsTwitter").removeClass("circularButton80LinkSel");
		
		$("#newsLeague").addClass("circularButton120Link");
		
		$("#newsTwitter").removeClass("circularButton80Link");
		$("#newsTwitter").addClass("circularButton80LinkSel");
	}
};

