/*Photo Page*/
var PhotoPage = {
	page:null,
	photos:null,
	adInterval:null,
	loadPage:function(){		
		//create news page object
		PhotoPage.page = new PageBase('photoPage');
		//set customer value for page
		var blackBarHtml=ShareHTML.mainMenuBar();
	    PhotoPage.page.setMainBarHtml(blackBarHtml);		
		//open level 1 screen
		openScreen2(PhotoPage.page.html());

		PhotoPage.page.showHeaderNav('Photo Gallery');
		PhotoPage.page.resize();
		

		PhotoPage.loadMenu();
		PhotoPage.loadMainContent();
		PhotoPage.loadAd();
	},
	loadMainContent:function(){
		PhotoPage.loadPhotoList();
	},	
	loadMenu:function(){
	   moreMenuSelected(PhotoPage.page.menuBarId);
	},
	loadAd:function(){		
		if(PhotoPage.page.showAd){	
		    var adUrl = GameUrls.getAdUrl('Photos');
		    var ad = new Ad(adUrl,PhotoPage.page.adBarId);
			ad.updateHtml();
			PhotoPage.adInterval = ad.loopAd(ad);
		}
	},
	loadPhotoList:function(){
	   var url=GameUrls.getPhotosUrl();
	   PhotoPage.page.loading();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NBA.requestTimeout,
			error: PhotoPage.error,
			success: PhotoPage.updatePhotoList
		});			
	},
	error:function(xhr){
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {			
			PhotoPage.page.error(ErrorMessage.NO_PHOTO_ERROR);
		}else{
			if(!SchedulePage.success)
				PhotoPage.page.error(ErrorMessage.CONNECTION_ERROR);
		}		
	},	
	
    updatePhotoList:function(xml){
		var photos = $.xml2json(xml);
		PhotoPage.photos = photos.NewsItem;		
		if(photos){
			PhotoPage.page.updateContentHtml(PhotoPageHTML.mainContent(PhotoPage.photos));
		}else{
			PhotoPage.error;
		}
		
	}
};