/* Standing Page */
var StandingPage = {
	page:null,
    lastShowTab:null,
	standings:null,
	loadPage:function(){		
		//create news page object
		StandingPage.page = new PageBase('standingsPage');
		StandingPage.page.hideAd();
		//set customer value for page
		var blackBarHtml=ShareHTML.mainMenuBar();
	    StandingPage.page.setMainBarHtml(blackBarHtml);		
		//open level 1 screen
		openScreen2(StandingPage.page.html());

        StandingPage.page.updateNavBarHtml(StandingPageHTML.buttonBar());
		StandingPage.page.showHeaderNav('Standings');
		StandingPage.page.resize();
		
		StandingPage.loadMenu();
		StandingPage.loadMainContent();
	},
	loadMainContent:function(){
		StandingPage.loadStandingList();
	},
	loadMenu:function(){
	   moreMenuSelected(StandingPage.page.menuBarId);
	},
	loadStandingList:function(){
	    var url=GameUrls.getStandingsUrl();
		StandingPage.page.loading();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			error: StandingPage.standingListError,
			success: StandingPage.updateStandingsList
		});			
	},
	standingListError:function(){
		StandingPage.page.error(ErrorMessage.NO_STANDINGS_ERROR);
	},	
	updateStandingsList:function(xml){
		var standings = $.xml2json(xml);
        StandingPage.standings = standings.Game.Msg_standings.Team_record;

		if(standings){
			var standingContent = StandingPageHTML.mainContent(StandingPage.standings);
			var grayBgContent = ShareHTML.grayBg(standingContent);
			StandingPage.page.updateContentHtml(grayBgContent);
		}else{
			StandingPage.standingListError;
		}		
	},
	showDivision:function(){
		$('#atlanticTable').show();
		$('#southwestTable').show();
		$('#southeastTable').show();
		$('#centralTable').show();
		$('#northwestTable').show();
		$('#pacificTable').show();
		
		$('#easternTable').hide();
		$('#westernTable').hide();
	},
	showConference:function(){
		$('#atlanticTable').hide();
		$('#southwestTable').hide();
		$('#southeastTable').hide();
		$('#centralTable').hide();
		$('#northwestTable').hide();
		$('#pacificTable').hide();
		
		$('#easternTable').show();
		$('#westernTable').show();
	},
	conferenceSelected:function(){
		$("#standingsConf").removeClass("circularButton120LinkSel");
		$("#standingsDiv").removeClass("circularButton100LinkSel");
		
		$("#standingsDiv").addClass("circularButton100Link");
		
		$("#standingsConf").removeClass("circularButton120Link");
		$("#standingsConf").addClass("circularButton120LinkSel");
		
	},
	divisionSelected:function(){
		$("#standingsConf").removeClass("circularButton120LinkSel");
		$("#standingsDiv").removeClass("circularButton100LinkSel");
		
		$("#standingsConf").addClass("circularButton120Link");
		
		$("#standingsDiv").removeClass("circularButton100Link");
		$("#standingsDiv").addClass("circularButton100LinkSel");
	}
	
};

