/* PreviewPage HTML */
var StandingPageHTML={
    mainContent:function(standings){
		var mainContentHtml = StandingPageHTML.divisionTable(standings, 0)+
			StandingPageHTML.divisionTable(standings, 1)+
			StandingPageHTML.divisionTable(standings, 2)+
			StandingPageHTML.divisionTable(standings, 3)+
			StandingPageHTML.divisionTable(standings, 4)+
			StandingPageHTML.divisionTable(standings, 5)+
		    StandingPageHTML.conferenceTable(standings, true)+
			StandingPageHTML.conferenceTable(standings, false);
		return mainContentHtml;
	},
	loading:function(){
		var loadingHtml = '<div class="loading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	},
	error:function(error){
		var errorHtml = '<div class="error">'+error+'</div>';
		return errorHtml;
	},
	buttonBar:function(){
		var barHtml = '<table>' +
		'        <tr>' +
		'           <td width="20%"></td>' +
		'           <td style="width:120px"><a href="#_" onclick="StandingPage.conferenceSelected();StandingPage.showConference();" id="standingsConf" class="circularButton120LinkSel">Conference</a></td>'+
		'           <td style="width:100px"><a href="#_" onclick="StandingPage.divisionSelected();StandingPage.showDivision();" id="standingsDiv" class="circularButton100Link">Division</a></td>' +
		'           <td width="10%"></td>' +
		'        <tr>' +
		'    </table>';
		
		return barHtml;
		
	},
	conferenceTable:function(standings,eastern){
		var conferenceHtml = '<table id="'+(eastern?"easternTable":"westernTable")+'" class="standingsTable" style="display:block;">\r\n'+
			'				<tr class="standingsTableHeader">\r\n'+
			'					<td colspan="4" style="padding-left:5px;" align="left" valign="middle">'+(eastern?"EASTERN CONFERENCE":"WESTERN CONFERENCE")+'</td>\r\n'+
			'				</tr>\r\n'+
			'				<tr class="standingsTableHeader">\r\n'+
			'					<td align="left" width="60%" style="padding-left:5px;" valign="middle">TEAM</td>\r\n'+
			'					<td width="20%"  valign="middle">W</td>\r\n'+
			'					<td width="10%"  valign="middle">L</td>\r\n'+
			'					<td width="" align="right" valign="middle">PCT</td>\r\n'+
			'				</tr>\r\n';
		var count=standings.length;
		//alert(count);
		for(var i=0;i<count;i++){
			var conference = standings[i].Conference;
			var team = standings[i].Team_name;
			var w = standings[i].Wins;
			var l = standings[i].Losses;
			var pct = standings[i].Win_pct;
		   if((eastern&&conference=="Eastern Conference")||(!eastern&&conference=="Western Conference")){
				conferenceHtml+='<tr>\r\n'+
						'					<td align="left" width="60%" valign="middle">'+team+'</td>\r\n'+
						'					<td width="20%"  valign="middle">'+w+'</td>\r\n'+
						'					<td width="10%"  valign="middle">'+l+'</td>\r\n'+
						'					<td width="" align="right" valign="middle">'+pct+'</td>\r\n'+
						'				</tr>\r\n';
		   }		
		}
		conferenceHtml+='			</table>\r\n';
		return conferenceHtml;
	},
	divisionTable:function(standings,index){	
		var tableId="";
		var divisionName="";
		if(index==0){
			tableId = "atlanticTable";
			divisionName = "Atlantic";
		}else if(index==1){
			tableId = "southwestTable";
			divisionName = "Southwest";
		}else if(index==2){
			tableId = "southeastTable";
			divisionName = "Southeast";
		}else if(index==3){
			tableId = "centralTable";
			divisionName = "Central";
		}else if(index==4){
			tableId = "northwestTable";
			divisionName = "Northwest";
		}else if(index==5){
			tableId = "pacificTable";
			divisionName = "Pacific";
		}
		
		var divisionHtml = '<table align="center" id="'+tableId+'" class="standingsTable"  style="display:none;">\r\n'+
		    '				<tr class="standingsTableHeader">\r\n'+
			'					<td colspan="4" style="padding-left:5px;" align="left" valign="middle">'+divisionName+'</td>\r\n'+
			'				</tr>\r\n'+
		    '               <tr class="standingsTableHeader">\r\n'+
			'					<td align="left" style="padding-left:5px;" width="60%" valign="middle">TEAM</td>\r\n'+
			'					<td width="20%"  valign="middle">W</td>\r\n'+
			'					<td width="10%"  valign="middle">L</td>\r\n'+
			'					<td width="" align="right" valign="middle">PCT</td>\r\n'+
			'				</tr>\r\n';
		var count=standings.length;
		//alert(count);
		for(var i=0;i<count;i++){
			var division = standings[i].Division;
			var team = standings[i].Team_name;
			var w = standings[i].Wins;
			var l = standings[i].Losses;
			var pct = standings[i].Win_pct;
		   if((index==0&&division=="Atlantic Division")||(index==1&&division=="Southwest Division")||(index==2&&division=="Southeast Division")||(index==3&&division=="Central Division")||(index==4&&division=="Northwest Division")||(index==5&&division=="Pacific Division")){
				divisionHtml+='				<tr>\r\n'+
						'					<td align="left" width="60%" valign="middle">'+team+'</td>\r\n'+
						'					<td width="20%"  valign="middle">'+w+'</td>\r\n'+
						'					<td width="10%"  valign="middle">'+l+'</td>\r\n'+
						'					<td width="" align="right" valign="middle">'+pct+'</td>\r\n'+
						'				</tr>\r\n';
		   }		
		}	
		divisionHtml+='			</table>\r\n';
		return divisionHtml;
	}
};
