/* global functions */

var Util = {
	getDeviceId:function(){
		var storedDeviceId = widget.preferenceForKey("deviceId");
		if(storedDeviceId){
			return storedDeviceId;
		}
		var deviceId = null;
		try
		{			
			var systemServiceObj = null;
			systemServiceObj = device.getServiceObject("Service.SysInfo", "ISysInfo");
			
			var criteria = new Object();
			criteria.Entity = "Device";
			criteria.Key = "IMEI";
			var result = systemServiceObj.ISysInfo.GetInfo(criteria);
			
			deviceId = result.ReturnValue.StringData;
		} 
		catch (ex) 
		{
			
		}
		if(deviceId){
			widget.setPreferenceForKey(deviceId,"deviceId");
		}else{
			deviceId="Unknown";
		}
		return deviceId;		
	},
	
	getUserAgent: function() {
	   return navigator.userAgent;	
	},	
	autoLink:function(str) {
		var matchPIC = new RegExp("((?:http|https|ftp|mms|rtsp)://(&(?=amp;)|[A-Za-z0-9\./=\?%_~@#:;\+\-])+(gif|jpg|png))", "ig");
		var matchURL = new RegExp("((?:http|https|ftp|mms|rtsp)://(&(?=amp;)|[A-Za-z0-9\./=\?%_~@&#:;\+\-])+)","ig");
		var str2 ="";
		str2 =str.replace("&nbsp;"," ")
		if(matchPIC.test(str)){                    
			str2 = str2.replace(matchPIC, "<img src=\"$1\" hint=\"$1\"></img>");
		}else{        
			 str2 = str2.replace(matchURL, '<a style="text-decoration: underline;" onclick="widget.openURL(this.href);return false;" href=\"$1\">$1</a>');
		}
		
		return str2;
	},
	clearGameVideoDesc:function(str){
		var str1='';
		//remove text in [ ] 's
		str1 =  str.replace(/\[.*?\]/g,"");
		//remove text in ( ) 's
		str1 =  str1.replace(/\(.*?\)/g,"");

		str1 = $.trim(str1);
		
		return str1;
	}
	
}