	
function MiniView() {

}


MiniView.prototype.onActivated = function() {
	// Get the refresh rate.
	var refresh = 30000;//parseInt( widget.preferenceForKey( SettingsScreen.KEY_REFRESH ) );
	if ( isNaN( refresh ) ) {
		refresh = 30000; // Default to 30 seconds.
	}

	// Start the timer which refreshes the miniview.
	var self = this;
	this.timerId = setInterval( function(){
		self.refresh();
	}, refresh );
	
	// Timer will trigger after the refresh period so refresh manually now.
	this.refresh();
}

MiniView.prototype.refresh = function() {
	var self = this;
	twitterService.onSuccess = function( response ) { self.onResponse( response ) }
	twitterService.onError = function( status ) { self.onError( status ) }
}

MiniView.prototype.onDeactivated = function() {
	// Stop timer.
	clearInterval( this.timerId );	
}

MiniView.prototype.onResponse = function( response ) {
	// Fill in dummy data here.	
}

MiniView.prototype.onResponse = function( status ) {
	var tweetsTable = document.getElementById( "miniView" );
	tweetsTable.innerHTML = StringTable.Code.miniViewError;
}
