/* NBA Variables */
var NBA = {
	//constants
	requestTimeout:60000,

	// variables
	version:0, //0:lite 1:premium
	district:0, //0: universal, 1: Canada
	versionNumber:'2.0316',
	leaguePassToken:null,
	login:false,
	plainLayout:false,
	is5800:false,
	isN8:false,
	windowHeight:0,
	googleTracker:null,
	deviceId:'unkown',
	
	// settings
	favoriteTeam:"None",
	updateFrequency:60,
	displayScores:1, // 1: Yes, 0: No, -1: Ask on Startup
	videoQuality:0, // 0: SD, 1: HD
	timeZone:1, //0: ET, 1: Local
	askOnStartup:-1, // 1: Yes, 0: No, -1: Initial

	
	initVariables:function(){
		//NBA.isN8=true;
		//NBA.videoQuality=1;
		//return;
		//NBA.plainLayout=true;
		//NBA.is5800=true;
		//return;
		//NBA.plainLayout=true;
		//return;
		if(typeof widget.wrt == 'object'){
			var model=widget.wrt.platform.model;
			//alert(model);
			if(model){
				model=model.toUpperCase();
				if(model.indexOf('N8')>=0){
					NBA.isN8=true;
					NBA.videoQuality=1;
				}
				if(model.indexOf('5800')>=0){
					NBA.plainLayout=true;
					NBA.is5800=true;
				}
				if(model.indexOf('N97')>=0 && model.indexOf('MINI')==-1){
					NBA.plainLayout=true;
				}
			}
		}
	},
	readSettings:function(){
		NBA.deviceId = Util.getDeviceId();
		var videoQuality = widget.preferenceForKey("videoQuality");
		if(videoQuality==0||videoQuality==1)
			NBA.videoQuality=videoQuality;
		var timeZone = widget.preferenceForKey("timeZone");
		if(timeZone==0||timeZone==1)
			NBA.timeZone=timeZone;
		
		var leaguePassToken = widget.preferenceForKey("leaguePassToken");
		if(leaguePassToken){
			 NBA.leaguePassToken = leaguePassToken;
		}
	},
	writeSettings:function(){
		widget.setPreferenceForKey(NBA.videoQuality,"videoQuality");
		widget.setPreferenceForKey(NBA.timeZone,"timeZone");
	}
};
NBA.initVariables();
NBA.readSettings();
