/* Preview Page */
var GamePage = {
	success:false,
	page:null,
	gameDate:new Date(),
	origDate:new Date(),
	games:null,
	adInterval:null,
	loopInterval:null,//auto update Game List
	ajaxReturn:null,
	loadPage:function(){
		GamePage.page = new PageBase('gamePage');
		//set customer value for page
		var blackBarHtml=ShareHTML.mainMenuBar();
	    GamePage.page.setMainBarHtml(blackBarHtml);		
		//open level 1 screen
		openScreen1(GamePage.page.html());

        GamePage.page.updateNavBarHtml(GamePageHTML.additionalBar());
		GamePage.page.showHeaderNav("Games");
		GamePage.page.resize();

		GamePage.loadMenu();
		GamePage.loadMainContent();
		GamePage.loadAd();
	},
	loadMainContent:function(){
		GamePage.fetchGameList();
		//$('#mainContent')[0].innerHTML = "Game Page Comming Soon...";
	},
	loadMenu:function(){
	   gameMenuSelected(GamePage.page.menuBarId);
	},
	loadAd:function(){		
		if(GamePage.page.showAd){	
		    var adUrl = GameUrls.getAdUrl('Games');
		    var ad = new Ad(adUrl,GamePage.page.adBarId);
			ad.updateHtml();
			GamePage.adInterval = ad.loopAd(ad);
		}
	},
	prev:function(){
		//console.log("go to prev page...");
		var prevDate=GamePage.gameDate.getDate()-1;
		GamePage.gameDate.setDate(prevDate);
		GamePage.fetchGameList();
	},
	next:function(){
  	    //console.log("go to next page...");
		var nextDate=GamePage.gameDate.getDate()+1;
		GamePage.gameDate.setDate(nextDate);
		GamePage.fetchGameList();
	},
	error:function(xhr){
		if(xhr.status==0)
		  return;
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			GamePage.success=true;
			GamePage.page.error(ErrorMessage.NO_GAME_SCHEDULED_ERROR);
		}else{
			if(!GamePage.success)
				GamePage.page.error(ErrorMessage.CONNECTION_ERROR);
		}
	},
	fetchGameList:function(){
	   GamePage.page.loading();
	   var date=GamePage.gameDate;
	   var month=DateParser.getMonthStrFromDate(date);
	   var day=DateParser.getDayStrFromDate(date);
	   var yyyyMMddStr=DateParser.getFullDateStr(date);
	   var monthDisplay=DateParser.convertMonthDisplay(month);
	   $('#game_gameDate').html(monthDisplay+' '+day);
	   var url=GameUrls.getGameInfoUrl(yyyyMMddStr);	   
	   
	   if(GamePage.ajaxReturn!=null)
	     GamePage.ajaxReturn.abort();

	   GamePage.ajaxReturn = $.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NBA.requestTimeout,
			error: GamePage.error,
			success: GamePage.updateGameList
		});	   

	   //loop update Game List
	   GamePage.loopUpdateGameList();
	},
	loopUpdateGameList:function(){		
		if(GamePage.loopInterval!=null)
			clearInterval(GamePage.loopInterval);
		
		var origDate=GamePage.origDate;
		var date=GamePage.gameDate;
		var yyyyMMddStr=DateParser.getFullDateStr(date);
		var origDateStr=DateParser.getFullDateStr(origDate);
		if(origDateStr!=yyyyMMddStr){
			//return;
		}
		var month=DateParser.getMonthStrFromDate(date);
		var day=DateParser.getDayStrFromDate(date);
		var monthDisplay=DateParser.convertMonthDisplay(month);
		$('#game_gameDate').html(monthDisplay+' '+day);
		var url=GameUrls.getGameInfoUrl(yyyyMMddStr);		
		var delayTime=60*1000;
		if(NBA.updateFrequency)
			delayTime=NBA.updateFrequency*1000;
		GamePage.loopInterval=setInterval(function(){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NBA.requestTimeout,
				success: GamePage.updateGameList
			});
		}, delayTime);
	},
	updateGameList:function(xml){
		var games = $.xml2json(xml);
		GamePage.games = games.Game;
		GamePage.page.updateContentHtml(GamePageHTML.gameList(GamePage.games));		
	}
};
