/* PreviewPage HTML */
var GamePageHTML={
	mainContent:function(){
		var mainContentHtml = PreviewPageHTML.previewBar();
		return mainContentHtml;
	},
	loading:function(){
		var loadingHtml = '<div class="loading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	},
	error:function(error){
		var errorHtml = '<div class="error">'+error+'</div>';
		return errorHtml;
	},
	additionalBar:function(){
	    var barHtml = '<table>' +
		'        <tr>' +
		'           <td width="35"><a href="#_" onclick="GamePage.prev()" class="prevButtonLink"></a></td>' +
		'           <td width="20%" style="text-align:center"><span id="game_gameDate" style="color:#000;font-weight:bold;">SEP 27<span></td>'+
		'           <td width="35"><a href="#_" onclick="GamePage.next()" class="nextButtonLink"></a></td>' +
		'           <td></td>' +
		'           <td width="10%"><a href="#_" id="calendarButtonLink" onclick="new Calendar().toggleView();" class="blackButton100Link" style="text-align:center; line-height:35px;"><span>CALENDAR</span></a></td>' +
		'        <tr>' +
		'    </table>';
		
		return barHtml;
	},
	gameList:function(games){
	    var count = games.length;
		var gamesHtml ='';
		var itemHtml = ''; 
		for(i=0;i<count;i++){
			//alert(games[i].Game_info.Game_date);
			var month = games[i].Game_info.Game_date.substr(0,2);
			var displayMonth = DateParser.convertMonthDisplay(month);
			var day = games[i].Game_info.Game_date.substr(3,2);
			var visitor_team_abr=games[i].Msg_score.Visitor_team_score.Team_abr.replace(" ","").toUpperCase();
			var home_team_abr =games[i].Msg_score.Home_team_score.Team_abr.replace(" ","").toUpperCase();
			var gotw = games[i].gotw == 'true';
			var game_status = games[i].Msg_score.Period_time.Game_Status;
			var isShowFeaturedGame = (NBA.version==1||NBA.login==true)&&gotw==true;
			if(game_status =="3"){
				itemHtml= '<a href="#_" onclick="GameStatsPage.loadPage('+i+',\'Games\')" class="grayList">'+
					'              <table style="height:100%">'+   
					'                 <tr>'+
					'                    <td width="20%" valign="middle" align="center"><img style="float:left;" src="images/team_logo/'+Static.teamLogos[visitor_team_abr]+'.png" width="56" height="56" /></td>' +
					'                    <td width="10%" style="font-weight:bold;font-size:25px" valign="middle" align="center">'+games[i].Msg_score.Visitor_team_score.Visitor_score+'</td>'+
					'                    <td style="font-weight:bold;" valign="middle" align="center">'+games[i].Msg_score.Period_time.Period_status.toUpperCase()+((NBA.version==1||NBA.login==true)&&gotw==true?'<br /><span style="color:red">Featured</span>':'')+'</td>'+
					'                    <td width="10%" style="font-weight:bold;font-size:25px" valign="middle" align="center">'+games[i].Msg_score.Home_team_score.Home_score+'</td>'+
					'                    <td width="20%" valign="middle" align="center"><img style="float:right;" src="images/team_logo/'+Static.teamLogos[home_team_abr]+'.png" width="56" height="56" /></td>' +
					'                 </tr>'+
					'              </table>'+
					'        </a>';	
					if(isShowFeaturedGame==true){
					   gamesHtml = 	itemHtml + gamesHtml;
					}else{
					   	gamesHtml += itemHtml;
					}
			}else if(game_status =="2"){
				var period;
				var intPeriod = parseInt(games[i].Msg_score.Period_time.Period,10);		

				if(intPeriod<=4){
					period=intPeriod+"Q";
				}else if(intPeriod>4){
					period= intPeriod-4 + "OT";
				}

				itemHtml= '<a href="#_" onclick="GameStatsPage.loadPage('+i+',\'Games\')" class="grayList">'+
					'              <table style="height:100%">'+   
					'                 <tr>'+
					'                    <td width="20px" valign="middle" align="center"><img src="images/custom_buttons/live.png" width="20" height="50" /></td>' +
					'                    <td width="20%" valign="middle" align="center"><img src="images/team_logo/'+Static.teamLogos[visitor_team_abr]+'.png" width="56" height="56" /></td>' +
					'                    <td width="10%" style="font-weight:bold;font-size:25px" valign="middle" align="center">'+games[i].Msg_score.Visitor_team_score.Visitor_score+'</td>'+
					'                    <td style="font-weight:bold;" valign="middle" align="center">'+
			period+'<br />'+games[i].Msg_score.Period_time.Game_clock+ ((NBA.version==1||NBA.login==true)&&gotw==true?'<br /><span style="color:red">Featured</span>':'')+
					'                    </td>'+
					'                    <td width="10%" style="font-weight:bold;font-size:25px" valign="middle" align="center">'+games[i].Msg_score.Home_team_score.Home_score+'</td>'+
					'                    <td width="20%" valign="middle" align="center" valign="middle" align="center"><img src="images/team_logo/'+Static.teamLogos[home_team_abr]+'.png" width="56" height="56" /></td>' +
					'                 </tr>'+
					'              </table>'+
					'        </a>';
					if(isShowFeaturedGame==true){
					   gamesHtml = 	itemHtml + gamesHtml;
					}else{
					   	gamesHtml += itemHtml;
					}
			}else{
				var gameDate = games[i].Game_info.Game_date;
				var gameTime = games[i].Game_info.Game_time;
				var gameTimeArray=gameTime.split(' ');
				if(gameTimeArray.length>=2){
					if(NBA.timeZone==1){
						// Local Time
						var timeStr=gameTimeArray[0];					
						var gameTimeArray2=timeStr.split(':');
						var hour=eval(gameTimeArray2[0]);
						var minuteStr=gameTimeArray2[1];
						var apm = gameTimeArray[1];
						
						if(apm =="PM")
						   hour +=12;
						var gameTimeStr = gameDate+ " "+hour+":"+minuteStr+":00";
						var etTime=DateParser.parseDate(gameTimeStr);						
						if(etTime){
							var localTime=DateParser.getLocalDate(etTime);
							if(localTime){
								var sameDate=DateParser.sameDay(etTime,localTime);
								// time
								var hour=localTime.getHours();
								var minute=localTime.getMinutes();
								var ampm="AM";
								if(hour>=12){
									ampm="PM";
								}
								if(hour>=13){
									hour-=12;
								}
								var minuteStr=minute;
								if(minute<=9)
									minuteStr="0"+minute;
								gameTime=hour+":"+minuteStr+" "+ampm+" Local";
								// date
								var month=localTime.getMonth();
								var date=localTime.getDate();
								var MonthStr=Static.months2[month];
								var localDate=MonthStr+" "+date;
								gameTime=localDate+"<br />"+gameTime;
							}
						}
					}else{
						gameTime=displayMonth+' '+day+'<br />'+gameTime+" ET";
					}
				}else{
					gameTime=displayMonth+' '+day+'<br />'+gameTime+" ET";
				}
				itemHtml = '<a href="#_" onclick="" class="grayList">'+
					'              <table style="height:100%">'+   
					'                 <tr>'+
					'                    <td width="20%" valign="middle" align="center"><img style="float:left;" src="images/team_logo/'+Static.teamLogos[visitor_team_abr]+'.png" width="56" height="56" /></td>' +
					'                    <td valign="middle" align="center" style="font-weight:bold;">'+
					gameTime +((NBA.version==1||NBA.login==true)&&gotw==true?'<br /><span style="color:red">Featured</span>':'')+
					'                    </td>'+
					'                    <td width="20%" valign="middle" align="center"><img src="images/team_logo/'+Static.teamLogos[home_team_abr]+'.png" width="56" height="56" /></td>' +
					'                 </tr>'+
					'              </table>'+
					'        </a>';
					
					if(isShowFeaturedGame==true){
					   gamesHtml = 	itemHtml + gamesHtml;
					}else{
					   	gamesHtml += itemHtml;
					}
				
			}
			}
			
		return gamesHtml;
	},
	fetchGameDetail:function(game){
		var visitor_team_abr=game.Msg_score.Visitor_team_score.Team_abr.replace(" ","").toUpperCase();
	   var home_team_abr =game.Msg_score.Home_team_score.Team_abr.replace(" ","").toUpperCase();
		
		var period_status = game.Msg_score.Period_time.Period_status.toUpperCase();
		var gameDetailHtml = '              <div class="grayList">'+  
		        '              <table style="height:100%">'+   
				'                 <tr>'+
				'                    <td width="25%" valign="middle" align="center"><img style="float:left;" src="images/team_logo/'+Static.teamLogos[visitor_team_abr]+'.png" width="50" height="50" /></td>' +
				'                    <td width="15%" style="font-weight:bold;font-size:25px">'+game.Msg_score.Visitor_team_score.Visitor_score+'</td>'+
				'                    <td width="15%" style="font-weight:bold;">'+period_status+'</td>'+
				'                    <td width="15%" style="font-weight:bold;font-size:25px">'+game.Msg_score.Home_team_score.Home_score+'</td>'+
				'                    <td width="25%" valign="middle" align="center"><img style="float:right;" src="images/team_logo/'+Static.teamLogos[home_team_abr]+'.png" width="50" height="50" /></td>' +
				'                 </tr>'+
				'               </table>'+
				'              </div>';
		return gameDetailHtml;
		
	}
};
