/* Preview Page */
var GameStatsPage = {
	success:null,
	page:null,
	game:null,
	gameStatus:null,
	gotw:false,
	gameDate:null,
	gameId:null,
	teamStats:null,
	playerStats:null,
	boxScore:null,
	steams:null,
	homeTeamAbbr:null,
	awayTeamAbbr:null,
	homeTeamPlayers:null,
	awayTeamPlayers:null,
	period:0,
	selectedPeriod:1,
	quarterPlays: new Array(8),
	videos:null,
	radioGame:null,
	fromPage:null,
	adInterval:null,
	loopPlays:null,
	loopBoxScore:null,
	loopVideo:null,	
	playAjaxReturn:null,
	loadPage:function(indexOrObj,fromPage){		
		GameStatsPage.clearCache();
		GameStatsPage.fromPage = fromPage;
		GameStatsPage.page = new PageBase('gameStatsPage');
        if(GameStatsPage.fromPage=="Latest"){
			LatestPage.loopUpdateLatestList();        	
		}else if(GameStatsPage.fromPage=="Games"){
			GamePage.loopUpdateGameList();
		}
		
		var blackBarHtml=ShareHTML.mainMenuBar();
	    GameStatsPage.page.setMainBarHtml(blackBarHtml);

		openScreen2(GameStatsPage.page.html());
		
		GameStatsPage.page.resize();
		
		GameStatsPage.loadMenu();
		
		if(typeof(indexOrObj)=='number'){
			GameStatsPage.game = GamePage.games[indexOrObj];
		}else{
			GameStatsPage.game = indexOrObj;
		}
		GameStatsPage.setGameStatus(GameStatsPage.game.Msg_score.Period_time.Game_Status);
		GameStatsPage.gameDate = GameStatsPage.game.Game_info.Game_date;
		GameStatsPage.gameId = GameStatsPage.game.Game_info.Game_id;
		GameStatsPage.period = parseInt(GameStatsPage.game.Msg_score.Period_time.Period,10);

        GameStatsPage.awayTeamAbbr = $.trim(GameStatsPage.game.Msg_score.Visitor_team_score.Team_abr.toUpperCase());
        GameStatsPage.homeTeamAbbr = $.trim(GameStatsPage.game.Msg_score.Home_team_score.Team_abr.toUpperCase());		

		GameStatsPage.loadMainContent();
		GameStatsPage.loadAd();
	},
	clearCache:function(){
		GameStatsPage.selectedPeriod = 1;
		GameStatsPage.quarterPlays = new Array(8);
		GameStatsPage.videos = null;
		GameStatsPage.boxScore = null;
		GameStatsPage.homeTeamAbbr=null;
		GameStatsPage.awayTeamAbbr=null;
		GameStatsPage.homeTeamPlayers=null;
		GameStatsPage.awayTeamPlayers=null;
		GameStatsPage.gameStatus=null;
		GameStatsPage.gotw = false;
	},
	setGameStatus:function(status){
		var game_status = status;
		if(game_status =="3"){
			gameStatus="FINAL";
			GameStatsPage.gameStatus = 'FINAL';
		}else if(game_status =="2"){
			gameStatus="LIVE";
			GameStatsPage.gameStatus = 'LIVE';
		}else{
		     //nothing to do;
		}
		if(GameStatsPage.game.gotw){
		  	if(GameStatsPage.game.gotw=="true"){
			   GameStatsPage.gotw = true;	
			}
		}
	},
	loadMenu:function(){
	   var fromPage = GameStatsPage.fromPage;
	   if(fromPage == 'Latest'){
		  latestMenuSelected(GameStatsPage.page.menuBarId); 
		  GameStatsPage.page.showDefaultHeaderNav();
	   }else{
	      gameMenuSelected(GameStatsPage.page.menuBarId);
		  GameStatsPage.page.showHeaderNav("Games");
	   }
	},
	loadAd:function(){		
		if(GameStatsPage.page.showAd){	
		    var adUrl = GameUrls.getAdUrl('Games');
		    var ad = new Ad(adUrl,GameStatsPage.page.adBarId);
			ad.updateHtml();
			GameStatsPage.adInterval = ad.loopAd(ad);
		}
	},
	loadMainContent:function(){
		GameStatsPage.page.updateContentHtml(GameStatsPageHTML.mainContent(GameStatsPage.game));
		//load box stats		
		GameStatsPage.loadBoxScore();
	},
	loadBoxScore:function(){
		$("#statsContent").html(ShareHTML.loading());
		GameStatsPage.ajaxLoadBoxScore();
	},
	ajaxLoadBoxScore:function(){	   
	   var url=GameUrls.getBoxScoreUrl(GameStatsPage.gameDate, GameStatsPage.gameId);
       GameStatsPage.statsSelected();
	   $.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NBA.requestTimeout,
			error: GameStatsPage.error,
			success: GameStatsPage.updateBoxScore
		});
	},
	loadPlaybyplay:function(intPeriod){
		if(GameStatsPage.playAjaxReturn!=null)
	     	GameStatsPage.playAjaxReturn.abort();
		 
		GameStatsPage.selectedPeriod = intPeriod;
		if(GameStatsPage.gameStatus=='LIVE'){
			GameStatsPage.ajaxLoadPlayByPlay(intPeriod);
			return;
		}

		//Final Games	   
		var selectedPlays = null;
		if(GameStatsPage.quarterPlays[intPeriod]){
		    selectedPlays = GameStatsPage.quarterPlays[intPeriod];
		}
		if(selectedPlays !=null){
           $("#quarterContent").html(GameStatsPageHTML.playbyplay(selectedPlays));
		}else{
			GameStatsPage.ajaxLoadPlayByPlay(intPeriod);
		}
	},
	ajaxLoadPlayByPlay:function(intPeriod){
		var url = GameUrls.getPlayByPlayUrl(GameStatsPage.gameDate,GameStatsPage.gameId,intPeriod);
		GameStatsPage.playAjaxReturn = $.ajax({
											url: url,
											type: 'GET',
											cache: false,
											dataType: 'xml',
											timeout: NBA.requestTimeout,
											error: GameStatsPage.playAjaxError,
											success: GameStatsPage.updatePlaybyplay
										});
	},
	playAjaxError:function(xhr){
		if(xhr.status==0)
		  return;
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			GameStatsPage.success=true;
		}else{
			if(!GameStatsPage.success)
				$("#quarterContent").html(GameStatsPageHTML.error(ErrorMessage.CONNECTION_ERROR));
		}		
	},
	loadVideo:function(){
		$("#videoContent").html(ShareHTML.loading());
		if(GameStatsPage.videos){
			$("#videoContent").html(GameStatsPageHTML.videos(GameStatsPage.videos));
		}else{
			GameStatsPage.ajaxLoadVideo();
		}
	},
	ajaxLoadVideo:function(){
		var url = GameUrls.getEventPbpUrl(GameStatsPage.gameDate,GameStatsPage.gameId);
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NBA.requestTimeout,
			error: GameStatsPage.error,
			success: GameStatsPage.updateVideo
		});		
	},
	parseBoxScoreData:function(xml){
		var liveVideoElements =  xml.getElementsByTagName('live');
		for(var i=0; i<liveVideoElements.length;i++){
			var liveItem = liveVideoElements[i];
			var liveNode = null;
			var bitrate = liveItem.getAttributeNode("bitrate").nodeValue;
			if(!bitrate)
			   continue;
			if(bitrate=="0"){
				var lowMedia = xml.createElement("lowMedia");
				var urlText = xml.createTextNode(liveItem.textContent);
				lowMedia.appendChild(urlText);
				liveItem.parentNode.appendChild(lowMedia);
				liveNode = liveItem;
			}else if(bitrate=="1"){
				var highMedia = xml.createElement("highMedia");
				var urlText = xml.createTextNode(liveItem.textContent);
				highMedia.appendChild(urlText);
				liveItem.parentNode.appendChild(highMedia);
				liveNode = liveItem;
			}
		}
		
		var boxScore = $.xml2json(xml);

		GameStatsPage.boxScore = boxScore.Game;
		var period  =GameStatsPage.boxScore.Msg_score.Period_time.Period;
		GameStatsPage.period = parseInt(period,10);	
		
		GameStatsPage.steams = boxScore.streams;
		var homePlayers = new Array();
		var awayPlayers = new Array();
		var playerStats = GameStatsPage.boxScore.Msg_boxscore.Player_stats;
		GameStatsPage.awayTeamAbbr = $.trim(GameStatsPage.boxScore.Msg_score.Visitor_team_score.Team_abr.toUpperCase());
		GameStatsPage.homeTeamAbbr = $.trim(GameStatsPage.boxScore.Msg_score.Home_team_score.Team_abr.toUpperCase());

		for(var i=0;i<playerStats.length;i++){
			var tempPlayer = playerStats[i];
			if(tempPlayer.Team_abr.toUpperCase()==GameStatsPage.homeTeamAbbr){
			   	homePlayers.push(tempPlayer);
			}else{
				awayPlayers.push(tempPlayer);
			}
		}
		
	    GameStatsPage.homeTeamPlayers = homePlayers;
		GameStatsPage.awayTeamPlayers = awayPlayers;
		
		GameStatsPage.setGameStatus(GameStatsPage.boxScore.Msg_score.Period_time.Game_Status);
	},
	updateBoxScore:function(xml){
		GameStatsPage.parseBoxScoreData(xml);
	    GameStatsPage.statsSelected('fillData');
		GameStatsPage.updateLivePart();
		GameStatsPage.updateGameInfo();
	},
	updateBoxScoreContentOnly:function(xml){
		GameStatsPage.parseBoxScoreData(xml);
		GameStatsPage.updateBoxScoreContent();
		GameStatsPage.updateStatsContent();
		
		GameStatsPage.updateLivePart();
		GameStatsPage.updateGameInfo();
		$("#quarterHeader").html(GameStatsPageHTML.quarterPart());
	},
	updateGameInfo:function(){
		if(GameStatsPage.gameStatus=='LIVE'){
			var intPeriod = parseInt(GameStatsPage.boxScore.Msg_score.Period_time.Period,10);
			var period = '';
			if(intPeriod<=4){
					period=intPeriod+"Q";
			}else if(intPeriod>4){
				period= intPeriod-4 + "OT";
			}
			$("#game_awayScore").html(GameStatsPage.boxScore.Msg_score.Visitor_team_score.Visitor_score);
			$("#game_homeScore").html(GameStatsPage.boxScore.Msg_score.Home_team_score.Home_score);
			$("#game_period").html(period + '<br />' + GameStatsPage.boxScore.Msg_score.Period_time.Game_clock);		
		}
		if(GameStatsPage.gameStatus=='FINAL'){
			//alert(GameStatsPage.gameStatus);
			$("#statsPageTitle").html(GameStatsPageHTML.updateGameDetail(GameStatsPage.game,GameStatsPage.gameStatus));
		}
	},
	updateLivePart:function(){
		if(GameStatsPage.gameStatus=='LIVE'){
			$("#gameLivePart").show();
			$("#gameLivePart").html(GameStatsPageHTML.livePart());
			GameStatsPage.resize();
			if(GameStatsPage.radioGame){
				if(GameStatsPage.radioGame.Game_info.Game_id == GameStatsPage.game.Game_info.Game_id){
					GameStatsPageHTML.playAudio(GameStatsPage.radioGame);
					GameStatsPageHTML.playOrStop(GameStatsPage.radioGame.isRadioHomeOrAway,true);
				}
			}
		}else{
		    $("#gameLivePart").hide();
		}
	},
	updatePlaybyplay:function(xml){
		var plays = $.xml2json(xml);
		plays = plays.Game.Msg_play_by_play.Event_pbp;
		GameStatsPage.quarterPlays[GameStatsPage.selectedPeriod] = plays;		
		$("#quarterContent").html(GameStatsPageHTML.playbyplay(plays));
	},
	parseBitrateData:function(liveVideoElements, xml,nodePrefix){
		if(nodePrefix)
		   nodePrefix += '_';
		else
		   nodePrefix = '';
		 
		for(var i=0; i<liveVideoElements.length;i++){
			var liveItem = liveVideoElements[i];
			var liveNode = null;
			var bitrate = liveItem.getAttributeNode("bitrate").nodeValue;
			if(!bitrate)
			   continue;
			if(bitrate=="0"){
				var lowMedia = xml.createElement(nodePrefix+"lowMedia");
				var urlText = xml.createTextNode(liveItem.textContent);
				lowMedia.appendChild(urlText);
				liveItem.parentNode.appendChild(lowMedia);
				liveNode = liveItem;
			}else if(bitrate=="1"){
				var highMedia = xml.createElement(nodePrefix+"highMedia");
				var urlText = xml.createTextNode(liveItem.textContent);
				highMedia.appendChild(urlText);
				liveItem.parentNode.appendChild(highMedia);
				liveNode = liveItem;
			}
		}
	},
	updateVideo:function(xml){
		var liveVideoElements =  xml.getElementsByTagName('vod');
		GameStatsPage.parseBitrateData(liveVideoElements,xml);
		var vodCondensed = xml.getElementsByTagName('vod-condensed');
		GameStatsPage.parseBitrateData(vodCondensed,xml,'condensed');
		var vodWhole = xml.getElementsByTagName('vod-whole');
		GameStatsPage.parseBitrateData(vodWhole,xml,'whole');
		var vodContinuous = xml.getElementsByTagName('vod-continuous');
		GameStatsPage.parseBitrateData(vodContinuous,xml,'continuous');

		var videos = $.xml2json(xml);
		GameStatsPage.videos = videos;
		$("#videoContent").html(GameStatsPageHTML.videos(GameStatsPage.videos));
	},
	loopUpdatePlayByPlay:function(){
		if(GameStatsPage.loopPlays!=null){
		   clearInterval(GameStatsPage.loopPlays);
		   GameStatsPage.loopPlays=null;
		}
		if(GameStatsPage.gameStatus=='LIVE'){			
			GameStatsPage.loopPlays = setInterval(function(){
											GameStatsPage.loadPlaybyplay(GameStatsPage.selectedPeriod);
										},
										NBA.updateFrequency*1000);
			
		}else{
		   //Nothing to do.	
		}
	},
	loopUpdateBoxScore:function(){
		if(GameStatsPage.loopBoxScore!=null){
		  clearInterval(GameStatsPage.loopBoxScore);
		  GameStatsPage.loopBoxScore = null;
		}
		
		if(GameStatsPage.gameStatus=='LIVE'){
			GameStatsPage.loopBoxScore = setInterval(function(){
											 var url=GameUrls.getBoxScoreUrl(GameStatsPage.gameDate, GameStatsPage.gameId);
											   $.ajax({
													url: url,
													type: 'GET',
													cache: false,
													dataType: 'xml',
													timeout: NBA.requestTimeout,
													error: GameStatsPage.error,
													success: GameStatsPage.updateBoxScoreContentOnly
												});
										},
										NBA.updateFrequency*1000);
		}else{
		   //Nothing to do.	
		}
	},
	loopUpdateVideo:function(){
		if(GameStatsPage.loopVideo!=null){
			   clearInterval(GameStatsPage.loopVideo);
			   GameStatsPage.loopVideo = null;
		}
		if(GameStatsPage.gameStatus=='LIVE'){			
			GameStatsPage.loopVideo = setInterval(function(){
											GameStatsPage.ajaxLoadVideo(true);
										},
										NBA.updateFrequency*1000);			
		}else{
		   //Nothing to do.	
		}
	},
	//Stats, Box Score, Plays, Video Tabs
	statsSelected:function(varHtml){
		GameStatsPage.resize();
		if(GameStatsPage.loopVideo){
		  clearInterval(GameStatsPage.loopVideo);
		  GameStatsPage.loopVideo = null;
	   }
	   if(GameStatsPage.loopPlays){
			clearInterval(GameStatsPage.loopPlays);
			GameStatsPage.loopPlays = null;
		}
		GameStatsPage.initMenuStats();
		$("#statsLink").removeClass("circularButton60Link");
		$("#statsLink").addClass("circularButton60LinkSel");
		
	    $("#statsContent").show();
		if(varHtml){
		   varHtml = GameStatsPageHTML.stats();
		   $("#statsContent").html(varHtml);
		}else{
			//$("#statsContent").html(ShareHTML.loading());
		}
		
		GameStatsPage.loopUpdateBoxScore();
	},
	updateStatsContent:function(){
		varHtml = GameStatsPageHTML.stats();
		$("#statsContent").html(varHtml);
	},
	boxScoreSelected:function(){
		GameStatsPage.resize();
		$("#boxScoreContent").html(ShareHTML.loading());
		if(GameStatsPage.loopVideo){
			clearInterval(GameStatsPage.loopVideo);
			GameStatsPage.loopVideo = null;
		}
		if(GameStatsPage.loopPlays){
			clearInterval(GameStatsPage.loopPlays);
			GameStatsPage.loopPlays = null;
		}
		GameStatsPage.initMenuStats();
		$("#boxScoreLink").removeClass("circularButton100Link");
		$("#boxScoreLink").addClass("circularButton100LinkSel");
		
		$("#boxScoreContent").html(GameStatsPageHTML.boxScore());
		$("#boxScoreContent").show();
		GameStatsPage.resize();
	},
	updateBoxScoreContent:function(){
		$("#boxScoreContent").html(GameStatsPageHTML.boxScore());
	},
	playsSelected:function(){
		GameStatsPage.resize();
		if(GameStatsPage.loopVideo){
			clearInterval(GameStatsPage.loopVideo);
			GameStatsPage.loopVideo = null;
		}
		GameStatsPage.initMenuStats();
		$("#playsLink").removeClass("circularButton60Link");
		$("#playsLink").addClass("circularButton60LinkSel");
		
		//$("#playsContent").html("Plays coming soon...");
		$("#quarterHeader").html(GameStatsPageHTML.quarterPart());
		$("#playsContent").show();
		GameStatsPage.quaterSelected(GameStatsPage.selectedPeriod);
	},
	videoSelected:function(){
		GameStatsPage.resize();
		if(GameStatsPage.loopPlays){
			clearInterval(GameStatsPage.loopPlays);
			GameStatsPage.loopPlays = null;
		}
	   GameStatsPage.initMenuStats();
	   $("#videoLink").removeClass("circularButton60Link");
	   $("#videoLink").addClass("circularButton60LinkSel");
	   
	   GameStatsPage.loadVideo();
	   $("#videoContent").show();
	   
	   GameStatsPage.loopUpdateVideo();
	},
	initMenuStats:function(){
	   $("#statsLink").removeClass("circularButton60LinkSel");
	   $("#boxScoreLink").removeClass("circularButton100LinkSel");
	   $("#playsLink").removeClass("circularButton60LinkSel");
	   $("#videoLink").removeClass("circularButton60LinkSel");
	   
	   $("#statsLink").addClass("circularButton60Link");
	   $("#boxScoreLink").addClass("circularButton100Link");
	   $("#playsLink").addClass("circularButton60Link");
	   $("#videoLink").addClass("circularButton60Link");
	   
	   $("#statsContent").hide();
	   $("#boxScoreContent").hide();
	   $("#playsContent").hide();
	   $("#videoContent").hide();
	},
	
	//1, 2, 3, 4 Q Tabs
	initPlaysMenuStats:function(){
	   $("#quarterHeader, .quarterLink").removeClass("circularButton60LinkSel");	   
	   $("#quarterHeader, .quarterLink").addClass("circularButton60Link");	   
	},
	quaterSelected:function(period){
		GameStatsPage.resize();
		GameStatsPage.initPlaysMenuStats();	
		$("#"+period+"QLink").removeClass("circularButton60Link");
		$("#"+period+"QLink").addClass("circularButton60LinkSel");
		$("#quarterContent").html(ShareHTML.loading());
        GameStatsPage.loadPlaybyplay(period);
		
		GameStatsPage.loopUpdatePlayByPlay();
	},
	resize:function(){
		if(NBA.plainLayout)
			return;
		
		var tempHeight = GameStatsPage.page.contentHeight;
			
		if(typeof($('#statsPageTitle').css('display'))!='undefined' && $("#statsPageTitle").css('display')!="none"){
			tempHeight -= 85;
		}		
		if(typeof($('#gameLivePart').css('display'))!='undefined' && $('#gameLivePart').css('display')!="none"){
			if($('#gameLivePart')[0].innerHTML != ""){
				if(typeof($('#liveAudio').css('display'))!='undefined' && $('#liveAudio').css('display')!="none"){
					tempHeight -= 85;
				}else{
					tempHeight -= 55;//lite version
				}
			}
		}
		tempHeight-=10+14+15+35;//top bottom padding margin of content
		if(typeof($('#statsContent').css('display'))!='undefined'){
			$("#statsContent").css("height",tempHeight+"px");
			$("#statsContent").css("overflow-y","auto");
		}
		if(typeof($('#boxScoreContent').css('display'))!='undefined'){
			$("#boxScoreContent").css("height",tempHeight+"px");
			$("#boxScoreContent").css("overflow-y","auto");
		}
		if(typeof($('#videoContent').css('display'))!='undefined'){
			$("#videoContent").css("height",tempHeight+"px");
			$("#videoContent").css("overflow-y","auto");
		}
		if(typeof($('#playsContent').css('display'))!='undefined'){
			if(typeof($('#quarterHeader').css('display'))!='undefined' && $("#quarterHeader").css('display')!="none"){
				if($('#quarterHeader')[0].innerHTML != ""){
					tempHeight -=35;
					if(typeof($('#5QLink').css('display'))!='undefined' && $("#5QLink").css('display')!="none"){
						tempHeight -=35;
					}
				}
			}
			$("#quarterContent").css("height",tempHeight+"px");
			$("#quarterContent").css("overflow-y","auto");
		}
	}
};
