/* PreviewPage HTML */
var GameStatsPageHTML={
	mainContent:function(game){
	   var visitor_team_abr=GameStatsPage.awayTeamAbbr;
	   var home_team_abr =GameStatsPage.homeTeamAbbr;
	   var gameStatus = GameStatsPage.gameStatus;
	   var gameDetailHtml = '<div id="statsPageTitle" class="grayList">'+GameStatsPageHTML.updateGameDetail(game,gameStatus)+'</div>';
	   var gameStatsTitleHtml = '<div id="statsPageTitle">' +
		'<ul class="alignList" style="width:'+(NBA.version==0 && NBA.login==false?'250px':'320px')+'">'+	
		'<li style="padding-left: 10px;"><a class="circularButton60LinkSel" id="statsLink" onclick="GameStatsPage.statsSelected()" href="#_">Stats</a></li>'+
		'<li style="padding-left: 10px;"><a class="circularButton100Link" id="boxScoreLink" onclick="GameStatsPage.boxScoreSelected()" href="#_">Box Score</a></li>'+
		'<li style="padding-left: 10px;"><a class="circularButton60Link" id="playsLink" onclick="GameStatsPage.playsSelected();" href="#_">Plays</a></li>'+
		(NBA.version==0 && NBA.login==false?'':
		'<li  style="padding-left: 10px;"><a class="circularButton60Link" id="videoLink" onclick="GameStatsPage.videoSelected();" href="#_">Video</a></li>')+
		'</ul>'+
		'</div>';
		var gameStatsContentHtml = '<div id="statsPageContent">' +
		'<div id="statsContent" style="display:none;" class="statsPageContent"></div>'+
		'<div id="boxScoreContent" style="display:none;" class="statsPageContent"></div>'+
		'<div id="playsContent" style="display:none;" class="statsPageContent">'+
		'   <div id="quarterHeader"></div>' +
		'	<div id="quarterContent" class="statsPageContent"></div>' +
		'</div>' +
		'<div id="videoContent" style="display:none;" class="statsPageContent"></div>' +		
		'</div>';	
        
		if(GameStatsPage.gameStatus == 'LIVE'){
		   	gameDetailHtml += '<div id="gameLivePart"></div>';
		}
		
		gameDetailHtml += ShareHTML.grayBg(gameStatsTitleHtml+gameStatsContentHtml);
		
		return gameDetailHtml;
	},
	updateGameDetail:function(game,gameStatus){
		
		 var visitor_team_abr=GameStatsPage.awayTeamAbbr;
		 var home_team_abr =GameStatsPage.homeTeamAbbr;
		 var visitorScore = game.Msg_score.Visitor_team_score.Visitor_score;
		 var homeScore = game.Msg_score.Home_team_score.Home_score;
		 var period_status = game.Msg_score.Period_time.Period_status.toUpperCase();
		 
		 var gameDetailHtml = '<table style="height:100%">'+   
				'                 <tr>'+
				(gameStatus=='LIVE'?'<td align="center" width="25px" valign="middle"><img height="50" width="20" src="images/custom_buttons/live.png"></td>':'')+
				'                    <td width="20%" valign="middle" align="center"><img style="float:left;" src="images/team_logo/'+Static.teamLogos[visitor_team_abr]+'.png" width="56" height="56" /></td>' +
				'                    <td width="15%" id="game_awayScore" style="font-weight:bold;font-size:25px;text-align:center;">'+visitorScore+'</td>'+
				'                    <td id="game_period" style="font-weight:bold;text-align:center">'+period_status+((NBA.version==1||NBA.login==true)&&GameStatsPage.gotw==true?'<br /><span style="color:red">Featured</span>':'')+'</td>'+
				'                    <td width="15%" id="game_homeScore" style="font-weight:bold;font-size:25px;text-align:center;">'+homeScore+'</td>'+
				'                    <td width="20%" valign="middle" align="center"><img style="float:right;" src="images/team_logo/'+Static.teamLogos[home_team_abr]+'.png" width="56" height="56" /></td>' +
				'                 </tr>'+
				'               </table>';
		return gameDetailHtml;
	},
	//Begin stats tab
	stats:function(){
		var statsHtml = '';
		//SCORING
		statsHtml += '<p class="stats-title">SCORING</p>';
		statsHtml += GameStatsPageHTML.scoring();
		//GAME STATS
		statsHtml += '<p class="stats-title">GAME STATS</p>';
		statsHtml += GameStatsPageHTML.gameStats();
		//LEADERS
		statsHtml += '<p class="stats-title">LEADERS</p>';
		statsHtml += GameStatsPageHTML.leaders();
		
		return statsHtml;
	},
	quarterPart:function(){
		var gameStatsContentHtml = '';
		if(GameStatsPage.period > 0){
			gameStatsContentHtml = '<ul class="alignList" style="width:280px">';
			for(var i=1;i<GameStatsPage.period+1;i++){
				if(i<5){
				gameStatsContentHtml +=
				'	<li style="padding:0px 0px 0px 10px;">'+
				'		<a class="quarterLink circularButton60LinkSel" id="'+i+'QLink" onclick="GameStatsPage.quaterSelected('+i+')" href="#_">' + i + 'Q</a>'+
				'	</li>';
				}
				else if(i>4){
					gameStatsContentHtml +=
				'	<li style="padding:0px 0px 0px 10px">'+
				'       <a class="quarterLink circularButton60Link" id="'+i+'QLink" onclick="GameStatsPage.quaterSelected('+i+')" href="#_">' + (i-4) + 'OT</a>'+
				'	</li>';
				}
			}
			gameStatsContentHtml += '</ul>';
		}		
		return gameStatsContentHtml;
	},
	livePart:function(){
		if(NBA.version==0 && NBA.district==0){		
			var onclickStr = 'widget.openURL(\''+GameUrls.getUpgradeToPremiumLink()+'\')';
			var buttonText = 'Upgrade To Game Time';
			var upgradeHtml = '<a class="whiteButton352Link" href="#_" onclick="'+onclickStr+'">'+buttonText+'</a>'
			
			return upgradeHtml;
		}else{
			var liveVideoHtml = '<div id="liveVideo" class="liveMedia">'+GameStatsPageHTML.liveVideo()+	'</div>';
			
			liveVideoHtml = ShareHTML.grayBg1(liveVideoHtml,'margin:0px 3px;');
	
			var liveAudioHtml = '<div id="liveAudio" class="liveMedia">'+GameStatsPageHTML.liveAudio()+'</div>';
			
			liveAudioHtml = ShareHTML.grayBg1(liveAudioHtml,'margin:0px 3px;');
			
			var livePartHtml = '<table>'+
			'<tr>'+
			'	<td width="40%">'+liveVideoHtml+'</td>'+
			'	<td>'+liveAudioHtml+'</td>'+
			'</tr></table>';
	
			return livePartHtml;
		}
	},
	liveVideo:function(){
		var version = NBA.version;//0 lite, 1 premium
		var login = NBA.login;
		var gotw = GameStatsPage.gotw;
		var videoUrl = '';
		
		if(GameStatsPage.steams.nokia){
			if(NBA.videoQuality==0){
				if(GameStatsPage.steams.nokia.home.lowMedia)
					videoUrl = GameStatsPage.steams.nokia.home.lowMedia;
				else if(GameStatsPage.steams.nokia.home.highMedia)
					videoUrl = GameStatsPage.steams.nokia.home.highMedia;	
			}else{
				if(GameStatsPage.steams.nokia.home.highMedia)
					videoUrl = GameStatsPage.steams.nokia.home.highMedia;
				else if(GameStatsPage.steams.nokia.home.lowMedia)
					videoUrl = GameStatsPage.steams.nokia.home.lowMedia;  
			}
		}
		
		var onclickStr = '';
		var buttonText = '';
		if(version==0){
			if(login==true){
				buttonText = 'Watch Live';
				onclickStr = 'playMedia(\''+videoUrl+'\',false,\'Screen2\')';
			}else{
				buttonText = 'Upgrade Now';
				onclickStr = "LeaguePassPage.loadPage(\'Screen2\')";	
			}
		}else if(version==1){
		    if(gotw==true || login==true)	{
			    buttonText = 'Watch Live';
				onclickStr = 'playMedia(\''+videoUrl+'\',false,\'Screen2\')';
			}else{
			    buttonText = 'Upgrade Now';	
				onclickStr = "LeaguePassPage.loadPage(\'Screen2\')";
			}
		}
		var liveVideoHtml = '	<div id="liveVideoTitle" class="mediaTitle"><strong>VIDEO</strong></div>'+
		'	<div id="liveVideoContent" class="mediaContent"><a class="whiteButton120Link" href="#_" onclick="'+onclickStr+'">'+buttonText+'</a></div>';
		
		return liveVideoHtml;
	},
	liveAudio:function(){
		var liveAudioHtml = '<div id="liveAudioTitle" class="mediaTitle"><strong>AUDIO</strong></div>'+
		'	<div id="liveAudioContent" class="mediaContent">'+
		'     <a class="whiteButton80Link" href="#" style="float:left" onclick="GameStatsPageHTML.playAudio(\'away\')">Away</a>'+
		'     <a class="whiteButton80Link" href="#" style="float:right" onclick="GameStatsPageHTML.playAudio(\'home\')">Home</a>'+
		'   </div>';

		return liveAudioHtml;
	},
	backToLiveAudio:function(){
		onStop();
		var varHtml = GameStatsPageHTML.liveAudio();
		$('#liveAudio').html(varHtml);		
		GameStatsPage.radioGame = null;
		GameStatsPage.loadMenu();
	},
	playAudio:function(homeOraway){
		var varHtml = '	<div id="liveAudioTitle" class="mediaTitle" style="text-align:left"><strong>LIVE AUDIO</strong></div>'+
		'	<div id="liveAudioContent" class="mediaContent">'+
		'     	<table><tr>'+
		'     	  	<td width="30px">'+
		'				<a id="playOrStopButtonLink" class="playButtonLink" href="#"'+
		'				 onclick="GameStatsPageHTML.playOrStop(\''+homeOraway+'\')" style="float:left"></a>'+
		'			</td>'+
		'	  		<td align="center" valign="middle">'+
		'				<img height="8" width="30" style="float:left" id="volumeLeft1" src="images/radio/volume1.png">'+
		'				<img id="volumeSlider1" height="17" style="float:left" class="volumeSlider" width="17" src="images/radio/slider.png">'+
		'				<img height="8" border="0" width="30" style="float:left" id="volumeRight1" src="images/radio/volume0.png">'+
		'			</td>'+
		'	  		<td width="60px;"><a class="whiteButton60Link" href="#"  style="float:right" onclick="GameStatsPageHTML.backToLiveAudio();">Close</a></td>'+
		'		</tr></table>'
		'   </div>';
		
		$('#liveAudio').html(varHtml);
	},
	playOrStop:function(homeOraway,styleOnly){
		//alert($("#playOrStopButtonLink").css());
		var audioUrl = '';
		if( GameStatsPage.steams.nokia){
			if(GameStatsPage.steams.nokia.home)
			    if(GameStatsPage.steams.nokia.home.radio){
					audioUrl = GameStatsPage.steams.nokia.home.radio;
				}
			if(homeOraway=='away'){
			   if(GameStatsPage.steams.nokia.away){
			   		if(GameStatsPage.steams.nokia.away.radio){
						audioUrl = GameStatsPage.steams.nokia.away.radio;
					}
			   }			   
			}
		}
		if(audioUrl==""){
		     alert("No Audio Streaming Now.");	
			 return;
		}

		if($("#playOrStopButtonLink").hasClass('playButtonLink')){
			$("#playOrStopButtonLink").removeClass("playButtonLink");
			$("#playOrStopButtonLink").addClass("stopButtonLink");
			if(styleOnly){
				//console.log('update style only');
			}else{
			   playMedia(audioUrl,true);
			   GameStatsPage.game.isRadioHomeOrAway=homeOraway;
			   GameStatsPage.radioGame = GameStatsPage.game;	
			}
		}else{
			$("#playOrStopButtonLink").removeClass("stopButtonLink");
			$("#playOrStopButtonLink").addClass("playButtonLink");
			GameStatsPage.radioGame = null;
			onStop();
		}
		GameStatsPage.loadMenu();
	},
	scoring:function(){
		var scoring = GameStatsPage.boxScore.Msg_score;
		var scoringHtml = '<div class="scoringTable"><table>'+
		'	<tr>'+
		'		<th width="10%" style="text-align:left"></th>'+
		'		<th></th>'+
		'		<th width="10%" style="text-align:left">1Q</th>'+
		'		<th width="10%" style="text-align:left">2Q</th>'+
		'		<th width="10%" style="text-align:left">3Q</th>'+
		'		<th width="10%" style="text-align:left">4Q</th>'+
		(scoring.Home_team_score.OT_1_score=='0'?'':'<th width="10%" style="text-align:left">1OT</th>')+
		(scoring.Home_team_score.OT_2_score=='0'?'':'<th width="10%" style="text-align:left">1OT</th>')+
		(scoring.Home_team_score.OT_3_score=='0'?'':'<th width="10%" style="text-align:left">1OT</th>')+
		(scoring.Home_team_score.OT_4_score=='0'?'':'<th width="10%" style="text-align:left">1OT</th>')+
		'		<th></th>'+
		'		<th width="10%" style="text-align:left">T</th>'+
		'	</tr>'+
		'	<tr>'+
		'		<td>'+scoring.Visitor_team_score.Team_abr+'</td>'+
		'		<td></td>'+
		'		<td>'+scoring.Visitor_team_score.Qtr_1_score+'</td>'+
		'		<td>'+scoring.Visitor_team_score.Qtr_2_score+'</td>'+
		'		<td>'+scoring.Visitor_team_score.Qtr_3_score+'</td>'+
		'		<td>'+scoring.Visitor_team_score.Qtr_4_score+'</td>'+
		(scoring.Visitor_team_score.OT_1_score=='0'?'':'<td width="10%">'+scoring.Visitor_team_score.OT_1_score+'</td>')+
		(scoring.Visitor_team_score.OT_2_score=='0'?'':'<td width="10%">'+scoring.Visitor_team_score.OT_2_score+'</td>')+
		(scoring.Visitor_team_score.OT_3_score=='0'?'':'<td width="10%">'+scoring.Visitor_team_score.OT_3_score+'</td>')+
		(scoring.Visitor_team_score.OT_4_score=='0'?'':'<td width="10%">'+scoring.Visitor_team_score.OT_4_score+'</td>')+
		'		<td></td>'+
		'		<td>'+scoring.Visitor_team_score.Visitor_score+'</td>'+
		'	</tr>'+
		'	<tr>'+
		'		<td>'+scoring.Home_team_score.Team_abr+'</td>'+
		'		<td></td>'+
		'		<td>'+scoring.Home_team_score.Qtr_1_score+'</td>'+
		'		<td>'+scoring.Home_team_score.Qtr_2_score+'</td>'+
		'		<td>'+scoring.Home_team_score.Qtr_3_score+'</td>'+
		'		<td>'+scoring.Home_team_score.Qtr_4_score+'</td>'+
		(scoring.Home_team_score.OT_1_score=='0'?'':'<td width="10%">'+scoring.Home_team_score.OT_1_score+'</td>')+
		(scoring.Home_team_score.OT_2_score=='0'?'':'<td width="10%">'+scoring.Home_team_score.OT_2_score+'</td>')+
		(scoring.Home_team_score.OT_3_score=='0'?'':'<td width="10%">'+scoring.Home_team_score.OT_3_score+'</td>')+
		(scoring.Home_team_score.OT_4_score=='0'?'':'<td width="10%">'+scoring.Home_team_score.OT_4_score+'</td>')+
		'		<td></td>'+
		'		<td>'+scoring.Home_team_score.Home_score+'</td>'+
		'	</tr>'+
		'</table></div>'
		
		return scoringHtml;
	},
	gameStats:function(){
		var teamStats = GameStatsPage.boxScore.Msg_boxscore.Team_stats;
		var gameStatsHtml = '<table>'+
		'	<tr>'+
		'		<td>'+GameStatsPageHTML.oneGameStats(teamStats[0])+'</td>'+
		'		<td>'+GameStatsPageHTML.oneGameStats(teamStats[1])+'</td>'+
		'	</tr></table>';
		
		return gameStatsHtml;
	},
	oneGameStats:function(statsObj){
		var fgPer = Math.round(parseInt(statsObj.FG_made,10)*1000/parseInt(statsObj.FG_attempted,10));
		fgPer /= 10;
		var threePer = Math.round(parseInt(statsObj.Three_made,10)*1000/parseInt(statsObj.Three_attempted,10));
		threePer /= 10;
		var ftPer = Math.round(parseInt(statsObj.FT_made,10)*1000/parseInt(statsObj.FT_attempted,10));
		ftPer /= 10;
		var rebounds = parseInt(statsObj.Defensive_rebounds,10) + parseInt(statsObj.Offensive_rebounds,10);
		var turnovers = statsObj.Turnovers;
		var teamName = Static.getTeamName(statsObj.Team_abr);
		var oneStatsHtml='<div class="statsTable" style="background:url(images/team_logo/'+teamName+'_bg.png) repeat-x"><table>'+
		'	<tr>'+
		'		<th>FG%</th>'+
		'		<th>3P%</th>'+
		'		<th>FT%</th>'+
		'		<th>REB</th>'+
		'		<th>TO</th>'+		
		'	</tr>'+
		'	<tr>'+
		'		<td>'+fgPer+'</td>'+
		'		<td>'+threePer+'</td>'+
		'		<td>'+ftPer+'</td>'+
		'		<td>'+rebounds+'</td>'+
		'		<td>'+turnovers+'</td>'+		
		'	</tr>'+
		'</table></div>';
		
		return oneStatsHtml;
	},
	leaders:function(){
		var leadersHtml = '<table>'+
		'	<tr>'+
		'		<td width="50%">'+GameStatsPageHTML.oneTeamLeaders(GameStatsPage.awayTeamPlayers)+'</td>'+
		'		<td width="50%">'+GameStatsPageHTML.oneTeamLeaders(GameStatsPage.homeTeamPlayers)+'</td>'+
		'	</tr>'		
		'</table>';
		
		return leadersHtml;
	},
	oneTeamLeaders:function(teamPlayers){
	   	var leaders = new Array();

		//getPointsLeader
		var points = 0;
		var piontPlayer = null;
		var isPointMulti = false;
		var reb = 0;
		var rebPlayer = null;
		var isRedMulti = false;
		var assits=0;
		var assitPlayer = null;
		var isAssitMulti = false;
		var steals = 0;
		var stealPlayer = null;
		var isStealMulti = false;
		var blocks = 0;
		var blockPlayer = null;
		var isBlockMulti = false;
		for(var i=0;i<teamPlayers.length;i++){
		   var tempPlayer = teamPlayers[i];
		   //getPointsLeader
		   if(parseInt(tempPlayer.Points,10)>points){
			   points = parseInt(tempPlayer.Points,10);
			   piontPlayer = tempPlayer.clone();
			   isPointMulti = false;
		   }else if(parseInt(tempPlayer.Points,10)==points && points>0){
			  isPointMulti = true;
		   }
		   
		   //getRebLeader
		   if(parseInt(tempPlayer.Total_rebounds,10)>reb){
			  reb = parseInt(tempPlayer.Total_rebounds,10);
			  rebPlayer = tempPlayer.clone();
			  isRedMulti = false;
		   }else if(GameStatsPageHTML.getTotalRebounds(tempPlayer)==reb && reb>0){
			  isRedMulti = true;
		   }
		   
		   //getAssistLeader
		   if(parseInt(tempPlayer.Assists,10)>assits){
			  assits =  parseInt(tempPlayer.Assists,10);
			  assitPlayer = tempPlayer.clone();
			  isAssitMulti = false;
		   }else if(parseInt(tempPlayer.Assists,10)==assits && assits>0){
			  isAssitMulti = true;
		   }
		   
		   //getStealLeader
		   if(parseInt(tempPlayer.Steals,10)>steals){
			   steals = parseInt(tempPlayer.Steals,10);
			   stealPlayer = tempPlayer.clone();
			   isStealMulti = false;
		   }else if(parseInt(tempPlayer.Steals,10)==steals && steals>0){
			   isStealMulti = true;
		   }
		   
		   //getBlockLeader
		   if(parseInt(tempPlayer.Blocks,10)>blocks){
			   blocks = parseInt(tempPlayer.Blocks,10);
			   blockPlayer = tempPlayer.clone();
			   isBlockMulti = false
		   }else if(parseInt(tempPlayer.Blocks,10)==blocks && blocks>0){
			   isBlockMulti = true
		   }
		}

		if(piontPlayer){
		   piontPlayer.type='PTS';
		   piontPlayer.value=points;
		   piontPlayer.isMultiPlayers = isPointMulti;
		   leaders.push(piontPlayer);
		}else{
			myPointPlayer = new Array();
		   	myPointPlayer['type']='PTS';
		    myPointPlayer['value']=0;
			myPointPlayer['isMultiPlayers']=true;
			leaders.push(myPointPlayer);
		}
		if(rebPlayer){
		   rebPlayer.type='REB';
		   rebPlayer.value=reb;
		   rebPlayer.isMultiPlayers = isRedMulti;
		   leaders.push(rebPlayer);
		}else{
			myRebPlayer = new Array();
		   	myRebPlayer['type']='REB';
		    myRebPlayer['value']=0;
			myRebPlayer['isMultiPlayers']=true;
			leaders.push(myRebPlayer);
		}
		if(assitPlayer){
		   assitPlayer.type = 'AST';
		   assitPlayer.value=assits;
		   assitPlayer.isMultiPlayers = isAssitMulti;
		   leaders.push(assitPlayer);
		}else{
			myAssitPlayer = new Array();
		   	myAssitPlayer['type']='AST';
		    myAssitPlayer['value']=0;
			myAssitPlayer['isMultiPlayers']=true;
			leaders.push(myAssitPlayer);
		}
		if(stealPlayer){
		   stealPlayer.type = 'STL';
		   stealPlayer.value=steals;
		   stealPlayer.isMultiPlayers = isStealMulti;
		   leaders.push(stealPlayer);
		}else{
			myStealPlayer = new Array();
		   	myStealPlayer['type']='STL';
		    myStealPlayer['value']=0;
			myStealPlayer['isMultiPlayers']=true;
			leaders.push(myStealPlayer);
		}
		if(blockPlayer){
		   blockPlayer.type = 'BLK';
		   blockPlayer.value=blocks;
		   blockPlayer.isMultiPlayers = isBlockMulti;
		   leaders.push(blockPlayer);
		}else{
			myBlockPlayer = new Array();
		   	myBlockPlayer['type']='BLK';
		    myBlockPlayer['value']=0;
			myBlockPlayer['isMultiPlayers']=true;
			leaders.push(myBlockPlayer);
		}

        var teamName = Static.getTeamName(teamPlayers[0].Team_abr);;
		var leaderHtml = '<div class="leadersTable"><table>';
		for(var index=0;index<leaders.length;index++){
			var curPlayer = leaders[index];
			leaderHtml += '	<tr style="background:url(images/team_logo/'+teamName+'_hex.png) no-repeat">'+
			(curPlayer.isMultiPlayers==true?'':'<td style="width:60px; height:60px; text-align:left;vertical-align:top;"><img width="55px" src="'+GameUrls.getPlayerImageUrl(curPlayer.First_name,curPlayer.Last_name)+'" /></td>')+
			'		<td height="60px" pxclass="leaderTableTitle "'+(curPlayer.isMultiPlayers==true?'colspan=2':'')+'>'+
			(curPlayer.isMultiPlayers==true?'Several players obtain':'#'+curPlayer.Jersey_number+" "+curPlayer.First_name.substr(0,1)+'.'+curPlayer.Last_name)+'<br />'+curPlayer.value+' '+curPlayer.type+'</td>'+
			'	</tr>';
		}
		leaderHtml += '</table></div>';
		
		return leaderHtml;
	},
	getTotalRebounds:function(playerObj){
		var totalRebounds = parseInt(playerObj.Defensive_rebounds,10) + parseInt(playerObj.Offensive_rebounds,10);
		return totalRebounds;
	},
	//End stats tab
	//Begin Box Score tab
	boxScore:function(){
	   var awayTeamPlayers = GameStatsPage.awayTeamPlayers;
	   var homeTeamPlayers = GameStatsPage.homeTeamPlayers;

	   var awayStarts = new Array();
	   var awayBanch = new Array();
	   var homeStarts = new Array();
	   var homeBanch = new Array();
	   
	   var boxScoreHtml = '';
	   if(awayTeamPlayers && homeTeamPlayers){
		   for(var i=0;i<awayTeamPlayers.length;i++){
			  var tempPlayer = awayTeamPlayers[i];
			  if(tempPlayer.Starting_position!=''){
				  awayStarts.push(tempPlayer);
			  }else{
				  awayBanch.push(tempPlayer);
			  }
		   }
		   
		   for(var i=0;i<homeTeamPlayers.length;i++){
			  var tempPlayer = homeTeamPlayers[i];
			  if(tempPlayer.Starting_position!=''){
				  homeStarts.push(tempPlayer);
			  }else{
				  homeBanch.push(tempPlayer);
			  }
		   }
	   
		   boxScoreHtml = '<table class="boxTableClass">';
		   boxScoreHtml += '<tr style="height:30px; background:url(images/team_logo/'+Static.getTeamName(awayTeamPlayers[0].Team_abr)+'_bg.png) repeat-x">'+
		   '	<th colspan=7>'+awayTeamPlayers[0].Team_name+'</th></tr>'+
		   '	<tr><td colspan=7 height="2px"></td></tr>';
		   boxScoreHtml += GameStatsPageHTML.oneBoxScore(awayStarts,'STARTERS');
		   boxScoreHtml += GameStatsPageHTML.oneBoxScore(awayBanch,'BANCH');
		   boxScoreHtml += '<tr style="height:30px; background:url(images/team_logo/'+Static.getTeamName(homeTeamPlayers[0].Team_abr)+'_bg.png) repeat-x">'+
		   '	<th colspan=7>'+homeTeamPlayers[0].Team_name+'</th></tr>'+
		   '	<tr><td colspan=7 height="2px"></td></tr>';
		   boxScoreHtml += GameStatsPageHTML.oneBoxScore(homeStarts,'STARTERS');
		   boxScoreHtml += GameStatsPageHTML.oneBoxScore(homeBanch,'BANCH');
		   boxScoreHtml += '</table>';
	   }

	   return boxScoreHtml;
	},
	oneBoxScore:function(players,title){
		var oneBoxHtml = '	<tr style="height:30px;background:url(images/team_logo/'+Static.getTeamName(players[0].Team_abr)+'_bg.png) repeat-x">'+
		'		<th width="20%">'+title+'</th>'+
		'		<th></th>'+
		'		<th width="12%">MIN</th>'+
		'		<th width="12%">FG</th>'+
		'		<th width="12%">3P</th>'+
		'		<th width="12%">FT</th>'+
		'		<th width="12%">PTS</th>'+
		'	</tr>';
		if(players){
			for(var i=0;i<players.length;i++){
				var curPlayer = players[i];
				oneBoxHtml += '	<tr>'+
				'		<td>'+curPlayer.First_name.substr(0,1)+'.'+curPlayer.Last_name+'</td>'+
				'		<td>'+curPlayer.Starting_position+'</td>'+
				'		<td>'+curPlayer.Minutes+'</td>'+
				'		<td>'+curPlayer.FG_made+'-'+curPlayer.FG_attempted+'</td>'+
				'		<td>'+curPlayer.Three_made+'-'+curPlayer.Three_attempted+'</td>'+
				'		<td>'+curPlayer.FT_made+'-'+curPlayer.FT_attempted+'</td>'+
				'		<td>'+curPlayer.Points+'</td>'+
				'	</tr>';
			}
		}
		
		return oneBoxHtml;
	},
	//End Box Score tab
	//Begin play by play
	playbyplay:function(plays){
		var playsHtml = '';
		
		if(plays){
			playsHtml = '<table class="playsTable">';
			for(var i=plays.length-1;i>-1;i--){
				var play = plays[i];
				if(!play.Team_abr)
				  continue;
				playsHtml += '<tr>'+
				'	<td width="60px"><img width="55px" src="'+Static.getTeamLogo(play.Team_abr)+'"/></td>'+
				'	<td>'+play.Game_clock+'&nbsp;&nbsp;&nbsp;'+play.Visitor_score+'-'+play.Home_score+'<br/>'+
				'   '+play.Description+'</td>'+
				'</tr>';
			}
			playsHtml += '</table>';
		}
		
		return playsHtml;
	},
	//End play by play
	//Begin Video
	videos:function(videos){
		var videos = GameStatsPage.videos.Events.Event_pbp;
		var otherVideos = null;
		if(GameStatsPage.videos.streams){
		   	if(GameStatsPage.videos.streams.nokia)			    
			    otherVideos=GameStatsPage.videos.streams.nokia.home;
		}
		var videosHtml = '';
		var otherVideosArray = new Array();;
		var hasPermission = NBA.login==true || GameStatsPage.gotw==true;
		if(otherVideos){
			var wholeVideoUrl = getPlayUrl(otherVideos.whole_lowMedia,otherVideos.whole_highMedia);
			if(wholeVideoUrl){
			   	var video = new Array();
				video['name'] = 'Full Archive';
				video['url'] = wholeVideoUrl;
				if(hasPermission==true){
				   otherVideosArray.push(video);	
				}
			}
			
			var condensedUrl = getPlayUrl(otherVideos.condensed_lowMedia,otherVideos.condensed_highMedia);
			if(condensedUrl){
				var video = new Array();
				video['name'] = 'Condensed Game';
				video['url'] = condensedUrl;
				if(hasPermission==true){
				   otherVideosArray.push(video);	
				}
			}
			
			var continuousUrl = getPlayUrl(otherVideos.continuous_lowMedia,otherVideos.continuous_lowMedia);
			if(continuousUrl){
				var video = new Array();
				video['name'] = 'Recap';
				video['url'] = continuousUrl;
			   otherVideosArray.push(video);
			}			
		}
		
		if(hasPermission==false){
		   	videosHtml += '<a href="#_" onclick="LeaguePassPage.loadPage(\'Screen2\')" class="commonList" style="background-color:#2F2E2E;margin-bottom:5px;padding-top:15px;text-align:center">Full Replay With League Pass</a>';
		}
		
		if(otherVideosArray!=null && otherVideosArray.length > 0){
			for(var i=0;i<otherVideosArray.length;i++){
				var myVideo = otherVideosArray[i];
				videosHtml += '<a href="#_" onclick="playMedia(\''+myVideo.url+'\',false,\'Screen2\')" class="commonList" style="background-color:#2F2E2E;margin-bottom:5px;padding:5px;"><table class="videosTable"><tr>'+
				'	<td width="60px" align="center"><img width="25px" src="images/bars/small_logo.png"/></td>'+
				'	<td>'+myVideo.name+'</td>'+
				'	<td width="33px"><img src="images/common_buttons/camera_blue01_small.png"/></td>'+
				'</tr></table></a>';
			}
		}
		
		if(videos!=null && videos.length > 0){
			for(var i=0;i<videos.length;i++){
				var video = videos[i];
				var videoUrl = '';
				if(video.streams.nokia){
					if(video.streams.nokia.home){
					   videoUrl = getPlayUrl(video.streams.nokia.home.lowMedia,video.streams.nokia.home.heighMedia);
					}
				}
	
				videosHtml += '<a href="#_" onclick="playMedia(\''+videoUrl+'\',false,\'Screen2\')" class="commonList" style="background-color:#2F2E2E;margin-bottom:5px;padding:5px;"><table class="videosTable"><tr>'+
				'	<td width="60px"><img width="55px" src="'+Static.getTeamLogo(video.Team_abr)+'"/></td>'+
				'	<td>'+Util.clearGameVideoDesc(video.Description)+'</td>'+
				'	<td width="33px"><img src="images/common_buttons/camera_blue01_small.png"/></td>'+
				'</tr></table></a>';
			}
		}
		if(videosHtml ==''){
			videosHtml = '<div style="height:60px;text-align:center;color:#000000;>'+
						'No Video For This Game'+
						'</div>';
		}
		return videosHtml;
	},
	//End Video
	error:function(msg){
		var errorHtml = '<div style="height:60px;text-align:center;color:#000000;>'+
						msg+
						'</div>';
		return errorHtml;
	}
};
