/* Preview Page */
var LatestPage = {
	success:false,
	page:null,
	fromPage:0, //0: from game schedule 1: from game stats
	latest:null,
	adInterval:null,
	loopInterval:null,//auto update latest list
	loadPage:function(fromPage){
		LatestPage.page = new PageBase('Latest');
		//set customer value for page
		var blackBarHtml=ShareHTML.mainMenuBar();
	    LatestPage.page.setMainBarHtml(blackBarHtml);
		//open level 1 screen
		openScreen1(LatestPage.page.html());

		//LatestPage.page.showHeaderNav("Latest");
		LatestPage.page.resize();

        LatestPage.loadMenu();
		LatestPage.loadMainContent();
		LatestPage.loadAd();
	},
	loadMainContent:function(){
		LatestPage.loadLatestNewsList();
		//$('#mainContent')[0].innerHTML = "Lastest Page Comming soon...";
		LatestPage.loopUpdateLatestList();
	},
	loadMenu:function(){
	  latestMenuSelected(LatestPage.page.menuBarId);
	},
	loadAd:function(){
		if(LatestPage.page.showAd){	
		    var adUrl = GameUrls.getAdUrl('Latest');
		    var ad = new Ad(adUrl,LatestPage.page.adBarId);
			ad.updateHtml();
			LatestPage.adInterval = ad.loopAd(ad);
		}
	},
	loadLatestNewsList:function(){
		var url=GameUrls.getLatestUrl();
		LatestPage.page.loading();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NBA.requestTimeout,
			error: LatestPage.latestListError,
			success: LatestPage.updateLatestList
		});
	},
	loopUpdateLatestList:function(){
		if(LatestPage.loopInterval!=null)
	   		clearInterval(LatestPage.loopInterval);
		var url=GameUrls.getLatestUrl();
		var delayTime=60*1000;
		if(NBA.updateFrequency)
			delayTime=NBA.updateFrequency*1000;
		LatestPage.loopInterval=setInterval(function(){
			$.ajax({
				url: url,
				type: 'GET',
				cache: false,
				dataType: 'xml',
				timeout: NBA.requestTimeout,
				success: LatestPage.updateLatestList
			});
		}, delayTime);
	},
	latestListError:function(xhr){
		var show404error=false;
		if(xhr){
			if(xhr.status==404){
				show404error=true;
			}
		}else{
			show404error=true;
		}
		if(show404error) {
			LatestPage.success=true;
			LatestPage.page.error(ErrorMessage.NO_LATEST_ERROR);
		}else{
			if(!LatestPage.success)
				LatestPage.page.error(ErrorMessage.CONNECTION_ERROR);
		}
	},
	updateLatestList:function(xml){
		var latest = $.xml2json(xml);
		if(latest.Games)
			GamePage.games =latest.Games.Game;
		if(latest.Videos){
			var latestVideos = LatestPage.filterVideo(latest.Videos.item);
			VideoPage.video =latestVideos;
		}
	    if(latest.News)
		   NewsPage.news =latest.News.NewsItem;
		if(latest.Photos)
			PhotoPage.photos =latest.Photos.NewsItem;
		if(latest.Twitter)
			NewsPage.twitter = latest.Twitter.item;	
		
		LatestPage.latest=latest;
		
		if(latest){
			LatestPage.page.updateContentHtml(LatestPageHTML.latestList());
		}else{
			LatestPage.latestListError;
		} 
	},
	filterVideo:function(videos){
		var version = NBA.version;
		var district = NBA.district;
		var login = NBA.login;
		var isFilter = false;
		if(version==0){
		    if(district==0){
				isFilter = true;
			}else if(district==1){
			    if(login==false){
				  isFilter=true; 	
				}
			}
		}
		
		if(isFilter){
			var filterVideo = new Array();
			for(var i=0;i<videos.length;i++){
				var video = videos[i];				
				if(video.title.toLowerCase().indexOf('daily zap')>-1){
					filterVideo.push(video);
				}	
			}
			
			return filterVideo;
		}else{
			return videos;
		}
	}	
};
