/* News Page */
var LeaguePassPage = {
	page:null,
    lastShowTab:null,
	isLoginByToken:false,
	fromScreen:null,
	loadPage:function(){
		LeaguePassPage.page = new PageBase('leaguePassPage');
		LeaguePassPage.page.hideAd();
		//set customer value for page
		//var blackBarHtml=ShareHTML.mainMenuBar();
	    //MorePage.page.setMainBarHtml(blackBarHtml);		
		//open level 1 screen
		LeaguePassPage.fromScreen = getOpenedScreen();
		if(LeaguePassPage.fromScreen == 'Screen2'){			
			openScreen3(LeaguePassPage.page.html());
			LeaguePassPage.page.showHeaderNav('League Pass');
		}else if(LeaguePassPage.fromScreen=="Screen1"){
		    openScreen2(LeaguePassPage.page.html());			
			LeaguePassPage.page.showHeaderNav('League Pass');
		}
		
		$("#menuBar_leaguePassPage").hide();
		$("#separateBar_leaguePassPage").hide();

		LeaguePassPage.page.resize();
		
		LeaguePassPage.page.updateContentHtml(LeaguePageHTML.mainContent());
	},
	loadMenu:function(){	
	  
	},
	login:function(){
	   showCoverPage('Validating account. Please wait...');
	   window.menu.setRightSoftkeyLabel('', null);
	   LeaguePassPage.isLoginByToken = false;
	   var url = GameUrls.getLeaguePassServer();  
	   var userName = $("#userName").val();
	   var password = $("#password").val();
	   var deviceId = NBA.deviceId;	   
	   var postData = 'username='+escape(userName)+'&password='+escape(password)+
	                   '&deviceid='+deviceId+'&devicetype=10&devicename=NokiaMobile';
	   url += '?'+ postData;
	   $.ajax({
					url: url,					
					type: 'GET',
					cache: false,
					dataType: 'xml',
					timeout: NBA.requestTimeout,
					error: LeaguePassPage.loginError,
					success: LeaguePassPage.loginResponse,
				});

	},
	loginError:function(xhr,status,error){
		hideCoverPage();
		var LOGINFAILED = 'You cannot log in at this time\, please check your username and password';
  		alert(LOGINFAILED);
		if(LeaguePassPage.fromScreen == 'Screen2'){	
			window.menu.setRightSoftkeyLabel('Back', backToScreen2);
		}else if(LeaguePassPage.fromScreen=="Screen1"){
			window.menu.setRightSoftkeyLabel('Back', backToScreen1);
		}
	},
	loginResponse:function(xml){
      var  NOPREMIUMACCESS  = 'You do not have premium access to League Pass\.  Please upgrade your account in order to gain access for mobile devices';
	  var CANNOTLINK  = 'You cannot link your device at this time, please call tech support';
	  var LOGINFAILED = 'You cannot log in at this time\, please check your username and password';

		var response = $.xml2json(xml);
		var code=response.code;
		var alertMessage = '';
		if(code == 'loginsuccess'){
			var token = NBA.leaguePassToken;
			if(response.data){
				if(response.data.token)
			   	    token = response.data.token;
				if(response.data.premium=="true"){
				    NBA.login = true;
				}
			}

			if(token !=null){
				NBA.login = true;
				NBA.leaguePassToken = token;				
			    widget.setPreferenceForKey(NBA.leaguePassToken,'leaguePassToken');	
			}			   
		}else if(code == 'connectfailednoaccess'){
			alertMessage = NOPREMIUMACCESS;
		}else if(code == 'connectfailed'){
			alertMessage = CANNOTLINK;
		}else{
		   	alertMessage = LOGINFAILED;
		}

		if(LeaguePassPage.isLoginByToken==false && alertMessage!=''){
		   alert(alertMessage);	
		}
		if(NBA.login){
		  if(LeaguePassPage.fromScreen=="Screen2")
		  	backToScreen1();
		  else{
			LatestPage.loadPage();
		  }
		}
		hideCoverPage();
		if(LeaguePassPage.fromScreen == 'Screen2'){	
			window.menu.setRightSoftkeyLabel('Back', backToScreen2);
		}else if(LeaguePassPage.fromScreen=="Screen1"){
			window.menu.setRightSoftkeyLabel('Back', backToScreen1);
		}
	},
	loginByToken:function(){
	   if(NBA.leaguePassToken==null || NBA.leaguePassToken=='' || (NBA.version == 0&&NBA.district==0)){
		   return;
	   }

	   LeaguePassPage.isLoginByToken = true;

	   var url = GameUrls.getLeaguePassServer();  	 
	   var postData = 'token='+ NBA.leaguePassToken;
	   url += '?'+ postData;

	   $.ajax({
					url: url,
					type: 'GET',
					cache: false,
					dataType: 'xml',
					timeout: NBA.requestTimeout,
					error: LeaguePassPage.loginError,
					success: LeaguePassPage.loginResponse,
				});
	}	
};

