/* PreviewPage HTML */
var NewsPageHTML={
	newsComponent:null,
    mainContent:function(){
		var mainContentHtml = "";
		return mainContentHtml;
	},
	loading:function(){
		var loadingHtml = '<div class="loading"><img src="images/loading.gif"/></div>';
		return loadingHtml;
	},
	error:function(error){
		var errorHtml = '<div class="error">'+error+'</div>';
		return errorHtml;
	},
	additionalBar:function(){
	    var barHtml = '<table>' +
		'        <tr>' +
		'           <td width="20%"></td>' +
		'           <td style="width:120px;"><a href="#_" onclick="NewsPage.leagueNewsSelected();NewsPage.showNews()" id="newsLeague" class="circularButton120LinkSel">LEAGUE NEWS</a></td>'+
		'           <td style="width:80px"><a href="#_" onclick="NewsPage.twitterSelected();NewsPage.showTwitter()" id="newsTwitter" class="circularButton80Link">TWITTER</a></td>' +
		'           <td width="10%"></td>' +
		'        <tr>' +
		'    </table>';
		
		return barHtml;
	},
	fetchNewsList:function(news){
		var count = news.length;
		//alert(count);
		var newsHtml = '';
		for(var i=0;i<count;i++){
				var image = news[i].SmallHref;
				var dateString = news[i].Identification.NewsIdentifier.DateId;
				var year = dateString.substr(0,4); 
				var month = dateString.substr(4,2);
				var day = dateString.substr(6,2);
				var monthDisplay = DateParser.convertMonthDisplay(month);
				var countComponent = news[i].NewsComponent.NewsComponent.length;
				for(var j=0;j<countComponent;j++){
				  if(news[i].NewsComponent.NewsComponent[j].Role.FormalName == 'MainStory'){
					  var newsHeadLine = news[i].NewsComponent.NewsComponent[j].NewsLines.HeadLine;
					  var newsHeadLineDis = newsHeadLine.substr(0,50)+"...";
				  }
				}
				newsHtml += '<a href="#_" onclick="NewsDetailPage.loadPage('+i+')" class="grayList" style="pading:5px;">\r\n'+
					'			<table style="width:100%;height:65px" >\r\n'+
					'				<tr>\r\n'+
					'					<td valign="middle" style="width:85px;"><img src="'+image+'" width="80px" /></td>\r\n'+
				    '					<td valign="top">\r\n'+
					                        newsHeadLineDis +'<br />' +monthDisplay+' '+day+',' +year+ 
					'                   </td>\r\n'+
					'				</tr>\r\n'+
					'			</table>\r\n'+
					'			</a>\r\n';
		}
		return newsHtml;
	},
	fetchTwitterList:function(twitter){
			var count= twitter.length;
			var twitterHtml = '			<div id="twitterMainContent">\r\n';
			for(var i=0;i<count;i++){
					var pubDate = Date.parse(twitter[i].pubDate);
					var timePassed = DateParser.getTimePassed(pubDate);
					var title = Util.autoLink($.trim(twitter[i].title.replace("NBA:","")));
					var itemHtml = '<p><strong>'+timePassed+'</strong><br />'+title+'</p>';
					var grayBgHtml = ShareHTML.grayBg(itemHtml);					
					twitterHtml += grayBgHtml;
				}
				twitterHtml +='      </div>\r\n';
			return twitterHtml;
		
	}
};
