/* Splash Page */
var SplashPage = {
	page:null,
	forOuterNews:false,
	loaded:false,
	config:null,
	loopAd:null,
	loadOuterNews:function(){
	SplashPage.forOuterNews=true;
	SplashPage.doLoadPage();
	},
	loadPage:function(){
		//create news page object
		SplashPage.page = new PageBase('splashPage',true);
		openScreen1(SplashPageHTML.mainContent());
		
		SplashPage.forOuterNews=false;
		SplashPage.doLoadPage();
	},
	doLoadPage:function(){
		//SplashPage.loadLocalization(SplashPage.fetchConfig);
		SplashPage.fetchConfig();
	},
	fetchConfig:function(){
		var url=GameUrls.getConfigUrl();
		$.ajax({
			url: url,
			type: 'GET',
			cache: false,
			dataType: 'xml',
			timeout: NBA.requestTimeout,
			error: SplashPage.configError,
			success: SplashPage.updateConfig
		});
	},
	updateConfig:function(xml){
		//alert(xml);
		var config = $.xml2json(xml);
		SplashPage.config=config;
		if(config.isValid!="true"){
			var message = 'Thank you for using the NBA app.  Go to the App Store to download the new 2011 version!';
			if(SplashPage.config.invalidMessage){
			   message = SplashPage.config.invalidMessage;
			}
			alert(message);
			window.close();
		}else{
			SplashPage.loaded=true;
			if(config.sysAlertMsg)
				alert(config.sysAlertMsg);
			if(config.locServer){
				var locServer=config.locServer;
				if(locServer.substr(locServer.length-1)=='/')
					locServer = locServer.substr(0,locServer.length-1);
				GameUrls.setLocServer(locServer);
			}			

			LeaguePassPage.loginByToken();
			
			var tempHours=GamePage.gameDate.getHours();
			if(tempHours<12){
				var tempTime=GamePage.gameDate.getTime();
				tempTime-=(12*60*60*1000);
				GamePage.gameDate.setTime(tempTime);
				GamePage.origDate.setTime(tempTime);
			}

			// google tracker
			if(NBA.version==0){
				if(config&&config.gaa){
					var gaId = config.gaa;
					NBA.googleTracker = new GoogleAnalytics('NBA Game Time 2010 Lite', gaId);
					if(NBA.googleTracker)NBA.googleTracker.trackEvent('SplashPage', 'StartFreeApp', NBA.versionNumber);
				}
			}else if(NBA.version==1){
			   if(config&&config.gap){
					var gaId = config.gap;
					NBA.googleTracker = new GoogleAnalytics('NBA Game Time 2010 Premium', gaId);
					if(NBA.googleTracker)NBA.googleTracker.trackEvent('SplashPage', 'StartPremiumApp', NBA.versionNumber);
				}
			}

			if(NBA.googleTracker)NBA.googleTracker.trackEvent('SplashPage', 'GetDeviceId',NBA.deviceId);
			
 		    LatestPage.loadPage();
			//setTimeout(LatestPage.loadPage,1000000);
		}
	},
	configError:function(){
		alert(ErrorMessage.OFF_LINE_ERROR);
		window.close();
	},
	loadLocalization:function(callback){
	    var lan = navigator.language;
		try{
			if(lan == 'cn'){				
				$.getScript("http://localhost:81/NBA/js/zh.lproj/localizedTextStrings.js",callback);		
			}else{
				//nothing to do.
				callback();
			}
		}catch(ex){
		    	
		}
	}
};
